2022-03-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tprintf.c: Fixed a "bus error" seen on SPARCs with
	tprintf.c

2022-03-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Made configure test if flex and bison support all
	required features *only if* the corresponding executables have been
	found before.

2022-03-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Made pkg-config silent when looking for libxml2

2022-03-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* NEWS, configure.ac: Made LTO compilation a little more robust and
	documented the change of the default value.

2022-03-17  Christoph Lauter <christoph.lauter@intel.com>

	* configure.ac: Trying to improve lto logic in configure

2022-03-17  Christoph Lauter <quirin@grille.christoph-lauter.org>

	* expression.c: Fixing a precision issue seen with certain versions
	of MPFR.

2022-03-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* ChangeLog: Generated ChangeLog

2022-03-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* sollya.1: Recompiled the man page.

2022-03-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: xml2-config is becoming obsolete as signaled by
	Debian.  See
	https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=949498  It gets
	replaced by pkg-config. configure.ac now searches for both.

2022-03-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* ChangeLog: Generated ChangeLog

2022-03-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* NEWS, doc/printxml.shlp, doc/printxml.tex, doc/readxml.shlp,
	doc/readxml.tex, doc/sollya.pdf, doc/www/printxml.php,
	doc/www/readxml.php, help.h: Deprecated readxml and printxml

2022-03-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.h, general.c: Updated copyrights

2022-03-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* general.c: Fixed an infinite loop in handling of memref freeing.

2022-03-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, general.c: Addressing a memory leak/bug seen
	with valgrind on g = (2^x-1)/x; L = [|exp(x)|]; fpminimax(g, L,
	[|D...|], [-1/16;1/16],absolute);

2022-03-03  Christoph Lauter <christoph.lauter@intel.com>

	* general.c: Avoiding segfaults for complicated reference-counted
	object patterns

2022-03-02  Christoph Lauter <christoph.lauter@intel.com>

	* expression.h, general.c, general.h: Trying to fix a complicated
	memory leak.

2022-03-01  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tend_elliptic_list.c,
	tests-lib/tend_elliptic_list.reference, tests-lib/tlist.c,
	tests-lib/tlist.reference: Removed a test that was not really
	important and led to a warning of gcc

2022-02-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* version.h: One missing copyright.

2022-02-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* ChangeLog: Generated ChangeLog

2022-02-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* sollya.map: Forgot to update sollya.map after changing
	version-info at commit 76256ec7

2022-02-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Added a
	mention abount __program_name variable in sollya.tex and sollya.php.
	TeX and PHP are in sync.

2022-02-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/equal.tex,
	doc/neq.tex, doc/remez.tex, doc/sollya.pdf, doc/time.tex,
	doc/timing.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/equal.php, doc/www/neq.php, doc/www/remez.php,
	doc/www/time.php, doc/www/timing.php, help.h: Recompiled the whole
	doc

2022-02-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* assignment.c, assignment.h, autodiff.c, autodiff.h,
	base-functions.c, base-functions.h, bitfields.c, bitfields.h,
	chain.c, chain.h, chebyshevformaux.c, chebyshevformaux.h,
	doc/sollya.tex, doc/www/sollya.php, double.c, double.h, execute.c,
	execute.h, expression.c, expression.h, external.c, external.h,
	externalfun.c, externalproc.c, fplll_wrapper.cpp, fpminimax.c,
	general.c, general.h, help.h, implement.c, implement.h,
	implementconst.c, infnorm.c, infnorm.h, integral.c, integral.h,
	internlexer.l, internparser.y, lexer.l, library.c, library.h,
	main.c, match.c, match.h, minilexer.l, miniparser.y, mpfi-compat.c,
	mpfi-compat.h, parser.y, plot.c, plot.h, printf.c, printf.h,
	proof.c, proof.h, remez.c, remez.h, signalhandling.c,
	signalhandling.h, sollya-library-wrappers.c,
	sollya-library-wrappers.h, sollya-messages.h, sollya-messaging.c,
	sollya-messaging.h, sollya.h, sturm.c, sturm.h, supnorm.c,
	supnorm.h, taylor.c, taylor.h, taylorform.c,
	tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.reference, version.h, worstcase.c,
	worstcase.h, xml.c, xml.h: Unified Christoph's email address

2022-02-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/bezout.shlp, doc/bezout.tex, doc/interpolate.shlp,
	doc/interpolate.tex, doc/sollya.pdf, doc/www/bezout.php,
	doc/www/interpolate.php, help.h: A few corrections in the doc of
	bezout and interpolate.

2022-02-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Updated version-info in Makefile.am

2022-02-20  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c, doc/sollya.tex, doc/www/sollya.php, double.c,
	execute.c, execute.h, expression.c, expression.h,
	fplll_wrapper.cpp, fpminimax.c, fpminimax.h, general.c, general.h,
	help.h, hooks.c, implement.c, infnorm.c, internlexer.l,
	internparser.y, lexer.l, library.c, library.h, match.c,
	minilexer.l, miniparser.y, mpfi-compat.c, mpfi-compat.h, parser.y,
	polynomials.h, proof.c, remez.c, remez.h, signalhandling.c,
	sollya-messages.h, sollya-messaging.h, sollya.h, supnorm.c,
	tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.reference: Updated copyrights.

2022-02-20  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: TeX and PHP
	doc are now synchonized again.

2022-02-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf: Recompiled the PDF.

2022-02-18  Christoph Lauter <christoph.lauter@intel.com>

	* doc/introExample51.tex, doc/introExample55.tex,
	doc/www/introExample51.php, doc/www/introExample55.php, execute.c,
	match.c: Fixing a small bug with error as a literal matcher in match
	with.

2022-02-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf: Recompiled the documentation in pdf format

2022-02-18  Christoph Lauter <christoph.lauter@intel.com>

	* doc/equal.shlp, doc/introExample51.tex,
	doc/introExample55.sollya, doc/introExample55.tex, doc/neq.shlp,
	doc/sollya.tex, doc/www/introExample51.php,
	doc/www/introExample55.php: Documented behavior of error with ==, !=
	and match.

2022-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/introExample54.sollya, doc/introExample54.tex,
	doc/sollya.pdf, doc/www/introExample54.php: Fixed a little bug in
	the intro examples

2022-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.c: Patched a leak

2022-02-10  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* NEWS: Updated the NEWS file in prevision of the upcoming release.


2022-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/composepolynomials.tex, doc/equal.tex, doc/introExample51.tex,
	doc/introExample54.tex, doc/introExample55.tex, doc/remez.tex,
	doc/taylorform.tex, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/composepolynomials.php, doc/www/equal.php,
	doc/www/introExample51.php, doc/www/introExample54.php,
	doc/www/introExample55.php, doc/www/remez.php,
	doc/www/taylorform.php, doc/www/time.php, doc/www/timing.php,
	help.h: Recompiled the whole documentation.

2022-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/compileExamples.sh: Allows the compilation of introduction
	examples in parallel with the shlp files

2022-02-17  Christoph Lauter <christoph.lauter@intel.com>

	* tests-tool/check032.sollya, tests-tool/check032.sollya.reference: 
	Adding a couple of extra tests for dirtyfindzeros

2022-02-14  Christoph Lauter <christoph.lauter@intel.com>

	* expression.c: Patching a bug found in evaluation of f = abs(x) / x
	at 0

2022-02-10  Christoph Lauter <christoph.lauter@intel.com>

	* internlexer.l, lexer.l, minilexer.l: Making hexadecimal constants
	correct again. 0x3.ap- not longer gets parsed.

2022-02-10  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/rename.shlp, doc/rename.tex, doc/www/rename.php, help.h: Added
	an explicit example for the new rename(_x_, _x_) behavior.

2022-02-09  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/timecheck.sollya,
	tests-tool/timecheck.sollya.reference: Added non-regression tests
	for https://gitlab.inria.fr/sollya/sollya/-/issues/30130

2022-02-09  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/timecheck.sollya,
	tests-tool/timecheck.sollya.reference: Added non regressions test
	for https://gitlab.inria.fr/sollya/sollya/-/issues/30147

2022-02-01  Christoph Lauter <christoph.lauter@intel.com>

	* tests-lib/Makefile.am, tests-tool/Makefile.am: Trying to overcome
	a bug seen when running "make -j4 check" without having compiled
	Sollya before.

2022-02-01  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am, tests-tool/Makefile.am: Fixed a compilation
	bug appearing when doing make check on Cygwin

2022-01-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.c: Yet another warning signaled by gcc

2022-01-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.c, fpminimax.c: Removed some warnings after the recent
	changes on lengthChain

2022-01-27  Christoph Lauter <christoph.lauter@intel.com>

	* chain.c, chain.h, execute.c, expression.h,
	sollya-library-wrappers.c: Fixing two bugs found while running 'n =
	28; s = "A"; l = [| s, s |]; for i from 0 to n-1 do l = [| l, l |];
	s = "" @ l; length(s);'  This commit may provoke additional compiler
	warnings found by certain compilers. Those ones are to be fixed.

2022-01-26  Christoph Lauter <christoph.lauter@intel.com>

	* execute.c: Fixing a regression bug that made printing of lists
	have quadratic complexity

2022-01-26  Christoph Lauter <christoph.lauter@intel.com>

	* execute.c, sollya-messages.h, sollya-messaging.h,
	tests-tool/check016.sollya.reference,
	tests-tool/check029.sollya.reference: Trying to make match on error
	slightly less confusing.

2022-01-18  Christoph Lauter <christoph.lauter@intel.com>

	* tests-lib/Makefile.am, tests-lib/{tand.c => tlogical_and.c},
	tests-lib/{tand.reference => tlogical_and.reference},
	tests-lib/{tnegate.c => tlogical_negate.c},
	tests-lib/{tnegate.reference => tlogical_negate.reference},
	tests-lib/{tor.c => tlogical_or.c}, tests-lib/{tor.reference =>
	tlogical_or.reference}, tests-tool/timecheck.sollya: Fixed issues
	with the test environment on Cygwin.

2022-01-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c, sollya-messages.h, sollya-messaging.h: Simplified the new
	logic of dirtyfindzeros quite a lot.

2022-01-13  Christoph Lauter <christoph.lauter@intel.com>

	* configure.ac: Adding options to disable lto compilation and
	visibility attributes.

2022-01-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c, sollya-messages.h, sollya-messaging.h: Changed the logic
	of uncertifiedFindzeros.  This addresses the issue described here:
	https://gitlab.inria.fr/sollya/sollya/-/issues/30142 In a word: when
	the function evaluates to NaN at a sample point, we look at the
	neighboring sample points. If it still evaluates to NaN, the
	original point is discarded, and otherwise we look for a zero in the
	bigger interval formed by both neighboring sample points (if the
	sign changes between its bounds).

2022-01-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tprintf.c: Improved the pragma to remove warnings of
	clang on tests-lib/tprintf

2022-01-03  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Changed the syntax for pure parsers also in
	configure.ac

2022-01-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tget_constant_as_double.reference,
	tests-lib/tget_constant_as_int.reference,
	tests-lib/tget_constant_as_int64.reference,
	tests-lib/tget_constant_as_mpq.reference,
	tests-lib/tget_constant_as_mpz.reference,
	tests-lib/tget_constant_as_uint64.reference,
	tests-lib/tget_constant_as_uint64_array.reference,
	tests-tool/check013.sollya.reference,
	tests-tool/check014.sollya.reference: Correcting the reference
	results for rounding wiggles.

2022-01-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* expression.c: Changed the constant that decides which algorithm is
	used to display in decimal  Changed it from 64 to 6 based on
	experiments: the new algorithm is always faster than the legacy one.
	But the new algorithm is not proven when the number of digits is
	smaller or equal to 5.

2022-01-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Trying to eliminate an annoying warning on clang.

2022-01-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, expression.h: Patched a bug where
	round(35/100, 1000, RN) and %1000%0.35 would be equal but print
	differently in decimal.

2022-01-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/dieonerrormode.tex, doc/doubledouble.tex,
	doc/introExample51.tex, doc/parse.tex, doc/remez.tex,
	doc/sollya.pdf, doc/time.tex, doc/tripledouble.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/dieonerrormode.php, doc/www/doubledouble.php,
	doc/www/introExample51.php, doc/www/parse.php, doc/www/remez.php,
	doc/www/time.php, doc/www/tripledouble.php, help.h: Recompiled the
	documentation.

2022-01-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Circumventing 2 weird warnings found with certain
	compilers.

2022-01-03  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* internparser.y, miniparser.y, parser.y, tests-lib/tinterpolate.c,
	tests-lib/tprintf.c, tests-lib/tv_interpolate.c: Removed some
	compiler warnings.

2022-01-01  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, polynomials.c: Patching a memory leak.

2022-01-01  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, sollya-messages.h, sollya-messaging.h,
	tests-tool/check003.sollya.reference,
	tests-tool/check012.sollya.reference: Fixing a slightly weird
	behavior with the displaying of constants with autoprint. A warning
	message has been added.

2021-12-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, polynomials.c, polynomials.h: Handling a very
	complicated case of reference counting and reference cycles.

2021-12-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.c: Fixed a bad call to freeChain

2021-12-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.h, tests-tool/memoryleaks.sollya: Fixing a
	complicated memory leak.

2021-12-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Patching a strange bug seen on evaluation of "3 / 0",
	with gcc (Debian 10.2.1-6) 10.2.1 20210110 at optimization level -O2
	only (-O0, -O1, -O3 all worked fine).

2021-12-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/remez.tex, doc/sollya.pdf,
	doc/time.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/introExample51.php, doc/www/remez.php, doc/www/time.php,
	execute.c, help.h, tests-tool/check030.sollya.reference: Final
	change for the addition of the decimal rounding warning.

2021-12-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/rationalmode.shlp, doc/rationalmode.tex, doc/sollya.pdf,
	doc/www/rationalmode.php, help.h, tests-tool/check024.sollya,
	tests-tool/check024.sollya.reference: Documentation and non
	regression tests for the new behavior of rationalmode.  This closes
	https://gitlab.inria.fr/sollya/sollya/-/issues/30133

2021-12-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Made sollya compile again even with fplll version <=
	3

2021-12-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/introExample57.tex, doc/remez.tex,
	doc/sollya.pdf, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/introExample51.php, doc/www/introExample57.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, execute.c,
	expression.c, expression.h, help.h,
	tests-tool/check029.sollya.reference: Finished the changes required
	by the recent addition of a warning for inexact decimal displaying.


2021-12-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/annotatefunction.tex, doc/bashevaluate.tex,
	doc/bashexecute.tex, doc/dieonerrormode.tex, doc/doubledouble.tex,
	doc/doubleextended.tex, doc/getsuppressedmessages.tex,
	doc/introExample12.tex, doc/introExample15.tex,
	doc/introExample17.tex, doc/introExample34.tex,
	doc/introExample38.tex, doc/introExample4.tex,
	doc/introExample40.tex, doc/introExample42.tex,
	doc/introExample43.tex, doc/introExample46.tex,
	doc/introExample47.tex, doc/introExample5.tex,
	doc/introExample51.tex, doc/pi.tex, doc/remez.tex,
	doc/roundingwarnings.tex, doc/showmessagenumbers.tex,
	doc/sollya.pdf, doc/suppressmessage.tex, doc/time.tex,
	doc/timing.tex, doc/tripledouble.tex, doc/unsuppressmessage.tex,
	doc/verbosity.tex, doc/www/annotatefunction.php,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/dieonerrormode.php, doc/www/doubledouble.php,
	doc/www/doubleextended.php, doc/www/getsuppressedmessages.php,
	doc/www/introExample12.php, doc/www/introExample15.php,
	doc/www/introExample17.php, doc/www/introExample34.php,
	doc/www/introExample38.php, doc/www/introExample4.php,
	doc/www/introExample40.php, doc/www/introExample42.php,
	doc/www/introExample43.php, doc/www/introExample46.php,
	doc/www/introExample47.php, doc/www/introExample5.php,
	doc/www/introExample51.php, doc/www/pi.php, doc/www/remez.php,
	doc/www/roundingwarnings.php, doc/www/showmessagenumbers.php,
	doc/www/suppressmessage.php, doc/www/time.php, doc/www/timing.php,
	doc/www/tripledouble.php, doc/www/unsuppressmessage.php,
	doc/www/verbosity.php, execute.c, expression.c, expression.h,
	help.h, sollya-messaging.h, tests-lib/tbezout.reference,
	tests-lib/tcmp_objs_structurally.reference,
	tests-tool/check001.sollya.reference,
	tests-tool/check029.sollya.reference,
	tests-tool/check030.sollya.reference: Improving the handling of
	warning messages in print, write and autoprint.

2021-12-23  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac, fplll_wrapper.cpp: Making sollya compile again with
	recent versions of the git master of fplll

2021-12-23  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/www/sollya.php: Fixed html grammar errors

2021-12-23  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Documented how
	to access help on commands.  In particular, in relation with
	https://gitlab.inria.fr/sollya/sollya/-/issues/30131

2021-12-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/introExample8.tex, doc/remez.tex,
	doc/roundingwarnings.tex, doc/sollya.pdf, doc/time.tex,
	doc/timing.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/introExample51.php, doc/www/introExample8.php,
	doc/www/remez.php, doc/www/roundingwarnings.php, doc/www/time.php,
	doc/www/timing.php, execute.c, help.h,
	tests-tool/check001.sollya.reference,
	tests-tool/check002.sollya.reference,
	tests-tool/check003.sollya.reference,
	tests-tool/check004.sollya.reference,
	tests-tool/check005.sollya.reference,
	tests-tool/check007.sollya.reference,
	tests-tool/check008.sollya.reference,
	tests-tool/check009.sollya.reference,
	tests-tool/check011.sollya.reference,
	tests-tool/check012.sollya.reference,
	tests-tool/check013.sollya.reference,
	tests-tool/check014.sollya.reference,
	tests-tool/check015.sollya.reference,
	tests-tool/check016.sollya.reference,
	tests-tool/check025.sollya.reference,
	tests-tool/check029.sollya.reference,
	tests-tool/check030.sollya.reference,
	tests-tool/check032.sollya.reference: Added a forgotten if statement
	and had to recompile the tests and the documentation due to the
	consequences that stupidness entailed

2021-12-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore, tests-lib/Makefile.am, tests-lib/tget_help_text.c,
	tests-lib/tget_help_text.reference: Added non-regression tests for
	the feature of accessing help from within the lib  See
	https://gitlab.inria.fr/sollya/sollya/-/issues/30131

2021-12-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/annotatefunction.tex, doc/bashevaluate.tex,
	doc/bashexecute.tex, doc/dieonerrormode.tex, doc/doubledouble.tex,
	doc/doubleextended.tex, doc/getsuppressedmessages.tex,
	doc/introExample12.tex, doc/introExample15.tex,
	doc/introExample17.tex, doc/introExample34.tex,
	doc/introExample38.tex, doc/introExample4.tex,
	doc/introExample40.tex, doc/introExample42.tex,
	doc/introExample43.tex, doc/introExample46.tex,
	doc/introExample47.tex, doc/introExample5.tex,
	doc/introExample51.tex, doc/introExample57.tex,
	doc/introExample8.tex, doc/pi.tex, doc/power.tex,
	doc/rationalmode.tex, doc/remez.tex, doc/roundingwarnings.tex,
	doc/showmessagenumbers.tex, doc/sollya.pdf,
	doc/suppressmessage.tex, doc/time.tex, doc/timing.tex,
	doc/tripledouble.tex, doc/unsuppressmessage.tex, doc/verbosity.tex,
	doc/www/annotatefunction.php, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/dieonerrormode.php,
	doc/www/doubledouble.php, doc/www/doubleextended.php,
	doc/www/getsuppressedmessages.php, doc/www/introExample12.php,
	doc/www/introExample15.php, doc/www/introExample17.php,
	doc/www/introExample34.php, doc/www/introExample38.php,
	doc/www/introExample4.php, doc/www/introExample40.php,
	doc/www/introExample42.php, doc/www/introExample43.php,
	doc/www/introExample46.php, doc/www/introExample47.php,
	doc/www/introExample5.php, doc/www/introExample51.php,
	doc/www/introExample57.php, doc/www/introExample8.php,
	doc/www/pi.php, doc/www/power.php, doc/www/rationalmode.php,
	doc/www/remez.php, doc/www/roundingwarnings.php,
	doc/www/showmessagenumbers.php, doc/www/suppressmessage.php,
	doc/www/time.php, doc/www/timing.php, doc/www/tripledouble.php,
	doc/www/unsuppressmessage.php, doc/www/verbosity.php, execute.c,
	expression.c, general.c, general.h, help.h,
	sollya-library-wrappers.c, sollya-messages.h, sollya-messaging.h,
	tests-lib/tcheckinfnorm.reference, tests-lib/tcmp_equal.reference,
	tests-lib/tcmp_greater.reference,
	tests-lib/tcmp_greater_equal.reference,
	tests-lib/tcmp_less.reference, tests-lib/tcmp_less_equal.reference,
	tests-lib/tcmp_not_equal.reference,
	tests-lib/tcmp_objs_structurally.reference,
	tests-lib/tconstant_from_mpq.reference,
	tests-lib/tconstant_from_mpz.reference,
	tests-lib/tconstruct_function.reference,
	tests-lib/tdecompose_externalprocedure_with_data.reference,
	tests-lib/tdirtyintegral.reference,
	tests-lib/tdirtysimplify.reference,
	tests-lib/texternalprocedure.reference,
	tests-lib/texternalprocedure_with_data.reference,
	tests-lib/tget_bounds_from_range.reference,
	tests-lib/tget_constant_as_double.reference,
	tests-lib/tget_constant_as_int.reference,
	tests-lib/tget_constant_as_int64.reference,
	tests-lib/tget_constant_as_mpq.reference,
	tests-lib/tget_constant_as_mpz.reference,
	tests-lib/tget_constant_as_uint64.reference,
	tests-lib/tget_constant_as_uint64_array.reference,
	tests-lib/tintegral.reference, tests-lib/tnumberroots.reference,
	tests-lib/trationalapprox.reference,
	tests-lib/tsearchgal.reference,
	tests-lib/tset_diam_and_print.reference,
	tests-lib/tv_construct_function.reference,
	tests-tool/check001.sollya.reference,
	tests-tool/check002.sollya.reference,
	tests-tool/check003.sollya.reference,
	tests-tool/check004.sollya.reference,
	tests-tool/check005.sollya.reference,
	tests-tool/check007.sollya.reference,
	tests-tool/check008.sollya.reference,
	tests-tool/check009.sollya.reference,
	tests-tool/check011.sollya.reference,
	tests-tool/check012.sollya.reference,
	tests-tool/check013.sollya.reference,
	tests-tool/check014.sollya.reference,
	tests-tool/check015.sollya.reference,
	tests-tool/check016.sollya.reference,
	tests-tool/check025.sollya.reference,
	tests-tool/check029.sollya.reference,
	tests-tool/check030.sollya.reference,
	tests-tool/check032.sollya.reference: Trying to finally address
	"Displaying of integers is sometimes really surprising"  As an
	important behavior changes with a warning, the whole documentation
	has been recompiled.

2021-11-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Patching a bug introduced with the last commit.

2021-11-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, expression.h: Made rationalmode = on;
	fully exact, even when decimal constants are involved in input and
	output.

2021-11-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c: Some progress with making decimal
	displaying and decimal input exact for rationalmode = on;

2021-11-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check023.sollya, tests-tool/check023.sollya.reference: 
	Non regression tests for
	https://gitlab.inria.fr/sollya/sollya/-/issues/30132

2021-11-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/remez.shlp, doc/remez.tex, doc/sollya.pdf, doc/www/remez.php,
	help.h: Mentioned in the doc of remez that the result is not
	necessarily dyadic.

2021-11-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Implemented L'Hôpital's rule for substitution with
	constant expressions.

2021-11-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Started working on an implementation of L'Hôpital's
	rule for substitution with constant expressions.

2021-11-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Attempt to patch issue
	https://gitlab.inria.fr/sollya/sollya/-/issues/30145  Replacing
	[[:blank:]] by what is supposed to be its definition: [ \t] In order
	to avoid using brackets, we chain a replacement of ' ' with a
	replacement of '\t'.

2021-11-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, tests-tool/check032.sollya.reference: Trying to
	address the issue "Complexity for displaying decimal values does not
	seem very good"

2021-11-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/infnorm.shlp, doc/infnorm.tex, doc/sollya.pdf,
	doc/www/infnorm.php, help.h, proof.c: Deprecated the proof
	generation feature of the infnorm command.

2021-11-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/introExample12.tex, doc/introExample2.tex,
	doc/introExample37bis.tex, doc/introExample51.tex, doc/sollya.pdf,
	doc/www/introExample12.php, doc/www/introExample2.php,
	doc/www/introExample37bis.php, doc/www/introExample51.php: 
	Recompiled the introductory examples.

2021-11-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/autodiff.tex, doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/doubledouble.tex, doc/hopitalrecursions.tex,
	doc/interpolate.tex, doc/remez.tex, doc/simplify.tex,
	doc/sollya.pdf, doc/time.tex, doc/timing.tex, doc/tripledouble.tex,
	doc/www/autodiff.php, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/doubledouble.php,
	doc/www/hopitalrecursions.php, doc/www/interpolate.php,
	doc/www/remez.php, doc/www/simplify.php, doc/www/time.php,
	doc/www/timing.php, doc/www/tripledouble.php, help.h: Recompiled the
	whole documentation.

2021-11-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Finished optimizing division of polynomials. This
	feature should be tested, in particular from a complexity
	standpoint.

2021-11-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Some very small progress optimizing the division of
	polynomials.

2021-11-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Trying to optimize division of constants in
	polynomials.

2021-11-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, infnorm.c, polynomials.c, remez.c: Hunting for
	compiler warnings found with -Wall -O3

2021-11-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.h, library.c: Made sure that all calls to
	dlclose() are done in the inverse order of the corresponding
	dlopen() and that we never call dlsym() on a library that has
	already been dlclose()d.

2021-11-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, library.c, library.h: Starting to try to fix a very
	subtle bug with external functions

2021-11-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, general.c, library.c, library.h, polynomials.c,
	tests-lib/tcanonical.reference,
	tests-tool/check009.sollya.reference: Improved canonicalization of
	polynomials in weird corner cases.

2021-10-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Made configure.ac fully compatible with cross
	compilation.  We now use configure cache mechanism for all the
	AC_RUN_IFELSE where it makes sense.

2021-10-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Patch proposed by Helmut Grohne through the Debian
	Bug Report system.  See
	https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=979030

2021-10-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* Makefile.am, parser.y, sollya-help.c, sollya-help.h,
	sollya-library-wrappers.c, sollya.h: Implementing the feature
	requested in "Make the online help accessible through the C library
	interface"

2021-10-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* double.c: Fixing "printexpansion(0) prints nothing instead of
	printing 0"

2021-10-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, tests-tool/check012.sollya.reference,
	tests-tool/check019.sollya.reference,
	tests-tool/check032.sollya.reference: Trying to do something about
	"Displaying of integers is sometimes really surprising"

2021-10-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Did some work to speed up division of polynomials
	with rational and integer coefficients. This speeds up bezout as
	well.

2021-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: An easy trick to speed up bezout for rational
	polynomials. Now we need a better polynomial division for rational
	polynomials.

2021-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Revert "Starting to modify the code for the gcd
	heuristic to recycle it for bezout."  This reverts commit
	69b7e6aabc58b5491062bc959f67ca03465d859a.

2021-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Revert "Some alledged progress with heuristical
	bezout. However, I have come to a dead-end, as the math I supposed
	to be correct does not work out as intended."  This reverts commit
	6da46b57b7ba125318d128a24961fa89f3e92fdf.

2021-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Some alledged progress with heuristical bezout.
	However, I have come to a dead-end, as the math I supposed to be
	correct does not work out as intended.

2021-10-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Starting to modify the code for the gcd heuristic
	to recycle it for bezout.

2021-10-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check032.sollya, tests-tool/check032.sollya.reference: 
	Finished the tests for bezout and gcd.

2021-10-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am, tests-lib/tbezout.c,
	tests-lib/tbezout.reference: First version of tests for the bezout
	command (library version).

2021-10-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bezout.shlp, doc/bezout.tex, doc/sollya.pdf,
	doc/www/bezout.php, expression.c, help.h: Corrected a corner-case
	behavior for bezout and changed the documentation accordingly.

2021-10-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Corrected a stupid copy paste error found by
	reading old code.

2021-10-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bezout.shlp, doc/bezout.tex, doc/sollya.pdf,
	doc/www/bezout.php, help.h: Finished the documentation for bezout.

2021-10-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/CommandsAndFunctions.tex, doc/Makefile.am, doc/bezout.shlp,
	doc/bezout.tex, doc/diveucl.shlp, doc/diveucl.tex, doc/gcd.shlp,
	doc/gcd.tex, doc/keywords.def, doc/modeucl.shlp, doc/modeucl.tex,
	doc/www/ListOfCommands.php, doc/www/bezout.php,
	doc/www/diveucl.php, doc/www/gcd.php, doc/www/modeucl.php, help.h: 
	Starting to work on documentation for the bezout command.

2021-10-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: This should really fix
	https://gitlab.inria.fr/sollya/sollya/-/issues/30144

2021-10-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* lto-compat.h: Committing a forgotten file.

2021-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: First complete working version of the bezout
	command. No complete tests done. No documentation available. No
	heuristic version implemented for polynomials.

2021-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Correcting a mistake.

2021-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Again some small progress with bezout.

2021-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* hash.c, hash.h, hooks.c, hooks.h, polynomials.c, polynomials.h: 
	Updating email addresses

2021-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Again some small progress with extended Euclid
	(bezout).

2021-10-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, expression.h, polynomials.h: Some small
	progress with implementing the bezout command.

2021-10-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, internlexer.l, internparser.y, lexer.l,
	library.c, minilexer.l, miniparser.y, parser.y, polynomials.c,
	sollya-library-wrappers.c, sollya.h: Started working on a command
	implementing the extended Euclid algorithm to compute the gcd and
	the co-factors (Bezout coefficients)

2021-10-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, general.c, sollya-library-wrappers.c,
	tests-tool/libraryexample.c: Added support for working LTO
	compilation (with visibility attributes).

2021-10-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac: Why do we need an autoconf version 2.71 or better?
	2.69 should be enough.

2021-10-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: One fix signaled by the -Wall option of automake.
	And removed -Wall -Werror  -> because I do not know how to fix the
	remaining warnings.

2021-10-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac, general.c, signalhandling.c,
	tests-lib/tget_element_in_list_timecomplexity.c: Followed advices
	from autoconf about obsolete code.

2021-10-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Just ran autoupdate as was suggested by autoconf
	after adding the -Wall flag.

2021-10-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Adding -Wall -Werror options to automake as is
	recommended by the official doc.  ->
	https://www.gnu.org/software/automake/manual/automake.html

2021-10-04  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.h, infnorm.c, polynomials.c, sollya-messages.h,
	sollya-messaging.h, tests-tool/check032.sollya.reference: Finished
	working on an issue with gcd for polynomials.

2021-10-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, polynomials.c: Started working on an issue with gcd.
	one = log2(10)*log10(2); p = canonical((x-one)^2); pp = diff(p);
	gcd(p,pp);

2021-09-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Made Hopital rule cases like evaluate((x-17)/sin(x *
	pi),[16.75;17.25]); work.

2021-09-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Changed the
	documentation to account for recent changes in interval mul/div

2021-09-03  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* mpfi-compat.c: Refactoring and documenting code after the
	modifications of interval mul and div

2021-09-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, tests-lib/tintegral.reference,
	tests-tool/check001.sollya.reference,
	tests-tool/check004.sollya.reference, tests-tool/check013.sollya,
	tests-tool/check013.sollya.reference,
	tests-tool/check014.sollya.reference,
	tests-tool/check027.sollya.reference,
	tests-tool/check028.sollya.reference: Fixing the last issues that
	have shown up with the bug fix for interval multiplication and
	division.

2021-09-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* mpfi-compat.c, tests-tool/check032.sollya,
	tests-tool/check032.sollya.reference: Verifying changed interval
	multiplication and division, modyifing division again.

2021-08-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Improved the situation with Hopital's Rule discovered
	while fixing #30143 Sollya is very wrong on an interval evaluation,
	without a warning

2021-08-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, mpfi-compat.c: Working towards fixing the bug #30143
	Sollya is very wrong on an interval evaluation, without a warning

2021-08-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/fpminimax.shlp, doc/fpminimax.tex, doc/sollya.pdf,
	doc/www/fpminimax.php, help.h: A mention about how to perform
	weighted approximations in the doc of fpminimax.  This closes the
	feature-request https://gitlab.inria.fr/sollya/sollya/-/issues/30140


2021-08-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c, tests-tool/check020.sollya,
	tests-tool/check020.sollya.reference: Patched a regression
	introduced with 35d53a300bb2ecfc6eff7cee1108821c8765ee8b  When
	testing whether an expression is a linear combination of some
	functions, we failed when the expression was provably evaluating to
	0. This was especially visible when using a basis of monomials that
	were polynomials though not the regular monomials x^i (e.g., when
	the monomials are the Chebyshev basis).  A non-regression test has
	been added.

2021-08-26  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* mpfi-compat.c: Yet some optimizations to the mpfi wrapper. Credit:
	Neven Sajko.  Patch proposed by Neven Sajko on sollya.users@inria.fr
	on August 26, 2021.

2021-08-26  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check011.sollya, tests-tool/check011.sollya.reference: 
	Added non-regression tests for the bug revealed at c7104e01 and
	patched at d842a1d3.

2021-08-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, tests-lib/teuclidian_mod.reference,
	tests-tool/check011.sollya.reference,
	tests-tool/check015.sollya.reference: Patching a small bug in
	simplification of certain polynomials.  The bug can be seen with
	autosimplify = off; fullparentheses = on; p = 0 + 1 + x^2 + x^3;
	print(p); print(simplify(p));

2021-08-20  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* fpminimax.c, remez.c, remez.h, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: Chebyshev points in fpminimax
	are now perturbed as they are with remez.  This fixes issues such as
	the one mentioned in the feature request
	https://gitlab.inria.fr/sollya/sollya/-/issues/30135

2021-08-20  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* mpfi-compat.c: Some optimizations to the mpfi wrapper. Credit:
	Neven Sajko.  Patch proposed by Neven Sajko on sollya.users@inria.fr
	on August 12, 2021.

2021-08-20  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/fpminimax.shlp, doc/fpminimax.tex, doc/sollya.pdf,
	doc/www/fpminimax.php, execute.c, fpminimax.c, fpminimax.h, help.h,
	remez.c, remez.h, sollya-messages.h, sollya-messaging.h,
	tests-tool/check029.sollya, tests-tool/check029.sollya.reference: In
	fpminimax, it is possible to replace the real minimax by a list of
	coefficients.  This provides the feature request
	https://gitlab.inria.fr/sollya/sollya/-/issues/30141

2021-08-19  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check020.sollya.reference: Changed a reference test
	file after commit c7104e01.  A warning is displayed now only once
	when it used to be displayed several times. This is expected after
	the changes of commit c7104e01.

2021-08-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* fpminimax.c, remez.c: Display some warnings only once.  This
	concerns the "degenerated system" warning (at most once) per remez
	iteration and the "coefficient is an exact 0" of fpminimax (at most
	once per call).

2021-08-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* fpminimax.c, remez.c, remez.h, sollya-messages.h,
	sollya-messaging.h: Avoid choosing thousands of points in fpminimax
	when f is its own real minimax.

2021-08-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* fpminimax.c, remez.c, remez.h, sollya-messages.h,
	sollya-messaging.h, tests-tool/check020.sollya,
	tests-tool/check020.sollya.reference: Unified the functions used to
	detect the coefficients of a pseudo-polynomial.  This fixes an issue
	with fpminimax not recognizing, e.g., 3*x as being a linear
	combination of x and x^2.  Also, this allows now remez also to
	(heuristically) detect that the function to approximate is already a
	linear combination of the monomials (and immediately return), even
	when the monomials are not all of the form x^i. This comes as a
	complement to resolve issue
	https://gitlab.inria.fr/sollya/sollya/-/issues/30139  Non-regression
	tests have been added.

2021-08-09  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.h, remez.c, tests-tool/check020.sollya,
	tests-tool/check020.sollya.reference: remez now tests whether its
	input function is a polynomial.  Should fix
	https://gitlab.inria.fr/sollya/sollya/-/issues/30139  Whenever the
	function to approximate is clearly a polynomial of degree d (or the
	weight function is 1 over such a polynomial) and remez is called
	with a list of monomials that includes all monomials necessary to
	represent it, we can immediately conclude that the function itself
	is its best approximation.  When the monomials are not all of the
	form x^i, we could in principle do something similar by testing
	whether the function is in the field generated by the monomial
	functions (say, compute the interpolant to an arbitrary set of
	points and checks that the corresponding error function is very
	small all over the interval) but this is not implemented here: we
	only do true polynomial manipulations.

2021-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* supnorm.c, tests-tool/check015.sollya,
	tests-tool/check015.sollya.reference: Fix and non-regression test
	for bug "supnorm fails on an rather easy case"  cf.
	https://gitlab.inria.fr/sollya/sollya/-/issues/30137

2020-07-17  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* general.c: Define _POSIX_C_SOURCE appropriately for gettimeofday.
	gettimeofday didn't appear in POSIX until POSIX 2001, after it was
	introduced in X/OPEN issue 4 version 2 according to

	<http://pubs.opengroup.org/onlinepubs/009604599/functions/gettimeofday.html>.  Thus, the earliest appropriate definition of _POSIX_C_SOURCE is 200112L; gettimeofday was not in the version of POSIX corresponding to _POSIX_C_SOURCE=199309L.  This fixes compilation on NetBSD.  Kindly reported and patched by Taylor R. Campbell.

2020-07-17  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Fix shell portability: POSIX `test' takes `=', not
	`=='.  Kindly reported and patched by Taylor R. Campbell.

2020-06-19  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tfpminimax.c, tests-lib/tv_fpminimax.c: Yet updated
	tests, now in tests-lib

2020-06-19  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check012.sollya: Changed a test to conform to the
	changes introduced @ 4dde1139

2020-02-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/fpminimax.shlp, doc/fpminimax.tex, doc/sollya.pdf,
	doc/www/fpminimax.php, execute.c, help.h, sollya-messages.h,
	sollya-messaging.h: Deprecated end-elliptic lists ending with a
	number as a format list in fpminimax

2020-02-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* fpminimax.c: Some comments in fpminimax.c

2019-06-25  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/externalproc.shlp, doc/externalproc.tex, doc/round.shlp,
	doc/round.tex, doc/sollya.pdf, doc/www/externalproc.php,
	doc/www/round.php, externalproc.c, help.h: Fixed a typo

2019-06-19  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Integrated a patch proposed by the Debian team.  See
	https://sources.debian.org/patches/sollya/7.0+ds-3/

2019-07-02  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Removed the explicit dependency to sollya in check-*,
	which seems useless

2019-07-02  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Added dependencies so that the BUILT_SOURCES be
	automatically built if necessary  Suppression de la règle
	BUILT_SOURCES de Christoph  Essai de compilation sans built_sources


2019-06-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check004.sollya, tests-tool/check005.sollya,
	tests-tool/check029.sollya: Modified the checks so as to allow
	parallel execution of them.

2019-06-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* Makefile.am: Working on parallel compilation again.

2019-06-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* Makefile.am, sollya.1, tests-lib/tv_implementpoly.c,
	tests-lib/tv_implementpoly.reference: Made parallel compilation
	possible even in cases when help2man is installed and the number of
	parallel jobs is larger than the maximum number of possible parallel
	compilations in the dependecy tree of the sollya tool.  There was a
	bug in a recursive rule used only for help2man usage. There was a
	second bug in the use of a temporary file for tv_implementpoly.

2019-06-19  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Trying to make a header-dependency explicit.

2019-06-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf: Strange recompilation after fast-forward.

2019-06-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* double.c, execute.c: Improved round for DD and TD.  Things like  c
	= 0x7fefffffffffffff - 0x0000000000000001; d =
	round(log(c),2200,RN); printexpansion(round(exp(d),DD,RN));
	round(c,DD,RN) == c;  now work.  There might still be a problem with
	the case when 2 binary64 numbers exist to represent a number with
	their sum but for which the binary64 number closest to the sum
	overflows. Typically, 0x7fefffffffffffff + 0x7fefffffffffffff.

2019-06-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/fpminimax.shlp, doc/fpminimax.tex, doc/parse.shlp,
	doc/parse.tex, doc/rename.shlp, doc/rename.tex, doc/sollya.pdf,
	doc/www/fpminimax.php, doc/www/parse.php, doc/www/rename.php,
	doc/www/xfreevariable.php, doc/xfreevariable.shlp,
	doc/xfreevariable.tex, help.h: Improved a little bit the
	documentation.

2019-06-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* base-functions.c, tests-tool/check003.sollya.reference,
	tests-tool/check012.sollya.reference: Patching an issue with the
	simplification of constant expressions involving certain rounding
	operators.

2019-06-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check016.sollya, tests-tool/check016.sollya.reference: 
	Add non-regression test for the bug patched at 6d2449af

2019-06-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Improved GCD by making constants better suited for
	modern computers.

2019-06-04  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, tests-tool/check032.sollya.reference: Performance
	improvement for an intricate combination of representations.

2019-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, tests-lib/tinterpolate.reference,
	tests-lib/tv_interpolate.reference,
	tests-tool/check032.sollya.reference: Improved performance of
	interpolation with error quite a bit.

2019-05-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf, execute.c: Correcting a bug in match constructs
	used on unary minus.

2019-05-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bind.shlp, doc/bind.tex, doc/sollya.pdf, doc/www/bind.php,
	execute.c, help.h, sollya-messages.h, sollya-messaging.h: Improved
	bind in order to allow for procedures with an arbitrary number of
	arguments.

2019-05-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, internparser.y, miniparser.y, parser.y,
	sollya-library-wrappers.c: Improving rename a tiny little bit.

2019-04-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Some progress with a heuristic for interpolation
	with a possible error.

2019-04-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Improved interpolation for certain rational
	abscissa/ordinate cases.

2019-04-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* internparser.y: Trying to address bug [#21760] chebyshevform
	cannot be used out of execute() statements

2019-01-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Patching a complicated segfault arising from a
	sollyapython -> pythonsollya circular binding.

2019-01-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.c: Slightly changed behavior of dlopen behind externalproc
	to make sollyapython possible.

2019-01-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Added support for a global Sollya variable
	__program_name initialized with argv[0] in interactive mode (if
	available) and with "sollya" if unavailable or in library mode.

2018-12-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Patching an issue with dieonerrormode used in certain
	pythonsollya settings.  In [1]: import sollya  In [2]: p =
	sollya.parse("proc(n) { return n + 1; }")  In [3]:
	sollya.settings.dieonerrormode = sollya.on  In [4]: p("Coucou")

2018-11-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore, doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/relative.shlp, doc/relative.tex, doc/remez.tex, doc/sollya.pdf,
	doc/sollya.tex, doc/time.shlp, doc/time.tex, doc/timing.shlp,
	doc/timing.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/relative.php, doc/www/remez.php, doc/www/sollya.php,
	doc/www/time.php, doc/www/timing.php, general.c, help.h, sollya.1,
	tests-lib/Makefile.am, tests-lib/tannotatefunction.reference,
	tests-lib/tobj_is_end_elliptic_list.c, tests-lib/tobj_is_error.c,
	tests-lib/tobj_is_externaldata.c,
	tests-lib/tobj_is_externaldata.reference,
	tests-lib/tobj_is_externalprocedure.c,
	tests-lib/tobj_is_function.c, tests-lib/tobj_is_list.c,
	tests-lib/tobj_is_procedure.c, tests-lib/tobj_is_range.c,
	tests-lib/tobj_is_string.c, tests-lib/tobj_is_structure.c,
	tests-lib/tv_annotatefunction.reference: doc + copyright + test for
	obj_is_externaldata  A few modification in the doc (including the
	recent doc of externaldata, but not only). Doc entirely recompiled.
	PHP and tex are synchronized.  One missing copyright after the
	introduction of externaldata  Added a test for the library function
	obj_is_externaldata and updated the tests for tobj_is_* to include
	this new type in their tests.  Updated .gitignore with recent
	additions (but also with products of the documentation that we
	historically forgot to include)  Restored
	tannotatefunction.reference and tv_annotatefunction.reference that
	have been accidentally altered some time ago (they have been made
	empty, and as a special rule, an empty reference file does not lead
	to a check failure by itself, but only if the exit code of the
	executable test is non-zero; which explains why it remained
	unnoticed until now).

2018-11-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/CommandsAndFunctions.tex, doc/Makefile.am,
	doc/externaldata.shlp, doc/externaldata.tex,
	doc/externaldataexample.c, doc/externalproc.shlp,
	doc/externalproc.tex, doc/keywords.def, doc/library.shlp,
	doc/library.tex, doc/libraryconstant.shlp, doc/libraryconstant.tex,
	doc/sollya.pdf, doc/sollya.tex, doc/www/ListOfCommands.php,
	doc/www/externaldata.php, doc/www/externalproc.php,
	doc/www/library.php, doc/www/libraryconstant.php,
	doc/www/sollya.php, execute.c, execute.h, expression.h, general.c,
	help.h, internlexer.l, internparser.y, lexer.l, library.c,
	library.h, minilexer.l, miniparser.y, parser.y,
	sollya-library-wrappers.c, sollya-messages.h, sollya-messaging.h,
	sollya.h, tests-lib/Makefile.am,
	tests-lib/tdecompose_externaldata.c,
	tests-lib/tdecompose_externaldata.reference,
	tests-lib/texternaldata.c, tests-lib/texternaldata.reference,
	tests-tool/check029.sollya, tests-tool/check029.sollya.reference,
	tests-tool/libraryexample.c: Added an externaldata functionnality.

2018-11-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* internparser.y, miniparser.y, parser.y: Trying to fix '[#21727]
	Behavior of parser highly illogical'

2018-10-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* mpfi-compat.c: Addressing a compiler warning.

2018-10-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, expression.h, infnorm.c, internlexer.l,
	internparser.y, lexer.l, library.c, minilexer.l, miniparser.y,
	mpfi-compat.c, mpfi-compat.h, parser.y, polynomials.c,
	polynomials.h, sollya-library-wrappers.c, sollya.h: Updated
	copyright notices.

2018-10-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Still working on the strange, circular memory
	dependency provoking a leak.

2018-10-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.h, polynomials.c: Patching a very intricate
	memory leak with circular dependencies in caches.

2018-10-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Trying to patch a memory leak.

2018-10-01  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/interpolate.shlp, doc/interpolate.tex, doc/remez.tex,
	doc/sollya.pdf, doc/www/interpolate.php, doc/www/remez.php, help.h: 
	Added documentation for interpolate.

2018-09-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/CommandsAndFunctions.tex, doc/Makefile.am, doc/keywords.def,
	doc/remez.shlp, doc/remez.tex, doc/sollya.pdf,
	doc/www/ListOfCommands.php, doc/www/remez.php, execute.c, help.h: 
	Started to document interpolate. Found a bug and fixed it.

2018-09-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, tests-lib/Makefile.am,
	tests-lib/tinterpolate.c, tests-lib/tinterpolate.reference,
	tests-lib/tv_interpolate.c, tests-lib/tv_interpolate.reference: 
	Added testing for the library binding of interpolate. Found a bug
	and fixed it.

2018-09-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf, tests-tool/check032.sollya,
	tests-tool/check032.sollya.reference: Added two additional tests for
	interpolation.

2018-09-20  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* ChangeLog: Regenerated ChangeLog

2018-09-20  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/implementconstant.tex, doc/remez.tex, doc/sollya.pdf,
	doc/time.tex, doc/timing.tex, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/implementconstant.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Recompiled the documentation

2018-09-20  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php, implement.c,
	mpfi-compat.c, polynomials.c, sollya.1,
	tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.reference, tests-tool/libraryexample.c,
	version.h: Updated copyrights

2018-09-19  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Adding non regression tests for bug #21716

2018-09-19  Christoph Lauter <christoph.lauter@lip6.fr>

	* mpfi-compat.c: Patching a small bug in sollya_mpfi_div_z.

2018-09-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* mpfi-compat.c, mpfi-compat.h, polynomials.c: Made polynomials a
	little faster with caches.

2018-09-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* mpfi-compat.c: Still trying to patch '#21716 evaluate returns
	incoherent results'  And some clean-up for the MPFI compat
	functions.

2018-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, tests-tool/check032.sollya,
	tests-tool/check032.sollya.reference: Improved speed of
	interpolation with error.

2018-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* mpfi-compat.c, polynomials.c: Trying to patch '#21716 evaluate
	returns incoherent results'  Non-regression tests still need to be
	added.

2018-09-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check032.sollya, tests-tool/check032.sollya.reference: 
	Added a couple of last tests for interpolation.

2018-09-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* mpfi-compat.c, tests-tool/check032.sollya,
	tests-tool/check032.sollya.reference: Patched a bug in interval
	erfc.  Added additional testing for interpolation.

2018-08-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, tests-tool/Makefile.am,
	tests-tool/check032.sollya, tests-tool/check032.sollya.reference: 
	Started testing interpolation.

2018-08-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Improved DAG handling in polynomials.

2018-08-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Added a TODO for the polynomials code.

2018-08-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Improved faithful evaluation of polynomials at points
	where the condition number is high.

2018-08-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, polynomials.c: Made certain memory (DAG) optimizations.


2018-08-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Some progress with debugging and testing of the new
	interpolation routines.

2018-08-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Analyzing an issue with cancellation in point to
	interval polynomial evaluation.

2018-08-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Added timing code for interpolation.

2018-08-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, internlexer.l, internparser.y, lexer.l,
	library.c, minilexer.l, miniparser.y, parser.y,
	sollya-library-wrappers.c, sollya.h: Wrote the glue to have
	interpolate as a new Sollya CLI command and library function.  The
	current code is untested.

2018-08-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* mpfi-compat.c, mpfi-compat.h, polynomials.c: Again some progress
	with the interpolation routines.  The code is complete now but still
	untested, as it is not yet bound to the Sollya interface.

2018-08-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Some progress with interpolation.

2018-08-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* ChangeLog: Regenerated ChangeLog

2018-08-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/printxml.tex, doc/readxml.tex,
	doc/remez.tex, doc/sollya.pdf, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/introExample51.php, doc/www/printxml.php,
	doc/www/readxml.php, doc/www/remez.php, doc/www/time.php,
	doc/www/timing.php, help.h, sollya.1: Recompiled the documentation.


2018-08-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/readxmlexample.xml, general.c,
	tests-tool/check008.sollya.reference, xml.c: Changed
	sollya.gforge.inria.fr to sollya.org

2018-08-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Made help2man work in a VPATH build context.

2018-08-09  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, configure.ac: Yet improved support of locale with
	help2man  We now test whether the --locale=C.UTF-8 option works or
	not in configure.

2018-08-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, polynomials.h: Some progress with interpolation
	with error.

2018-08-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.h: Header file.

2018-08-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Added a basic routine to interpolate functions
	directly.

2018-08-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.h: Adapted the header file.

2018-08-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Some small changes to constant allocation handling.


2018-08-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Some progress on interpolation routines.
	Everything's untested for now.

2018-08-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Still working on interpolation with error control.


2018-08-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, polynomials.h: Rigorous interpolation: function to
	round coefficients of polynomial with maximum error bound on
	evaluation error over interval.

2018-08-03  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Generalized the policy of displaying a meaningful
	answer in configure before exiting.  AC_MSG_ERROR and AC_MSG_WARN
	must be used to display additional information on stderr.

2018-08-01  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: configure must stop whenever no version of fplll is
	found.

2018-08-01  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Display no as a result of a test, before printing a
	more detailed warning.  Notices that AC_MSG_RESULT displays on
	stdout, whereas AC_MSG_WARN displays on stderr.

2018-07-05  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* ChangeLog: Regenerated ChangeLog

2018-07-05  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/remez.tex,
	doc/sollya.pdf, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Recompiled the doc.

2018-07-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Initialized a variable to make a compiler happy.

2018-07-05  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.c: Removed a warning signaled by gcc.  No need to update
	copyrights: it is a minor fix.

2018-07-05  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, sollya.map: We were wrong: the libtool version of the
	lib is 7.0.0  because the function behind the exported symbol
	'sollya_tool_main' changes compltely from Sollya 6.0 to Sollya 7.0
	(hence no backward compatibility => age=0)

2018-07-05  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Fixed a few
	typos and converted the doc of exit status to html.

2018-07-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf, doc/sollya.tex: Documented the Sollya exit status
	codes.

2018-07-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Clarified the
	phrase about gnuplot being mandatory-but-not-really in the doc

2018-07-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Fixed a few
	typos in the doc. HTML and PDF are synchronized.

2018-07-04  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf, general.c: Patched a small bug with the return
	code returned when the tool just executes for the --help or
	--version options.

2018-07-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex: Followed advice of Jérôme Benoit
	to make the package reproducible

2018-07-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* ChangeLog: Regenerated ChangeLog

2018-07-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/timecheck.sollya: Updated reference timings in
	timecheck

2018-07-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/timecheck.sollya: Added manual affectation of variables
	before doing the actual time checks.  Indeed, in some cases, we were
	measuring the time required to deaffect a variable rather than the
	time required to compute its new value.

2018-07-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/timecheck.sollya: Fixed an issue introduced with commit
	5f10b52d49fe.  The 3rd timecheck was intenteded to work with the
	polynomial p defined in the 1st check. But the modification
	introduced with commit 5f10b52d49fe changed that p in the 2nd check.


2018-07-03  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check004.sollya, tests-tool/check005.sollya,
	tests-tool/check012.sollya, tests-tool/check013.sollya,
	tests-tool/check029.sollya: Clean up files generated by the tests
	after their use.

2018-07-03  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Made sollya.1 depends on version.h rather than the
	sollya binary.  This is to ensure that it won't be regenerated by
	default in a distributed release. I followed recommendations of

	https://www.gnu.org/software/automake/manual/html_node/Errors-with-distclean.html

2018-07-03  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Setting the locale for help2man to something that
	should work on all systems

2018-07-03  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* ChangeLog: Regenerated ChangeLog

2018-07-03  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.h: Updated copyrights

2018-07-03  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Disabling locale support in help2man...  ... as some
	versions of help2man are not configured to work with this support,
	and we are not really using it anyway. The only thing we care are
	the environment variables that set the language which is used by
	help2man for generating its header.

2018-07-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* Makefile.am, base-functions.c, base-functions.h, expression.h: 
	Solved that fu**ing multiple definition issue seen on Mac OS X.

2018-07-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac: Again trying to do something for certain versions of
	lld and llvm on Mac OS X.

2018-07-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* base-functions.c, base-functions.h, chebyshevform.c,
	expression.c, expression.h, implementconst.c, taylorform.c: Trying
	to work around a problem seen on Mac OS X with the fixif
	integration.

2018-07-02  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* ChangeLog: New ChangeLog

2018-06-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c: Fixed a memory leak

2018-06-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c, help.h, hooks.c: Copyrights are now up to date

2018-06-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/implementconstant.tex, doc/introExample51.tex, doc/remez.tex,
	doc/sollya.pdf, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/implementconstant.php, doc/www/introExample51.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Recompiled the documentation.

2018-06-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check030.sollya, tests-tool/check030.sollya.reference: 
	Added a non-regression test for an issue where annotatefunction is
	used to annotate a constant expression.

2018-06-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/CommandsAndFunctions.tex, doc/Makefile.am, doc/{eucldiv.shlp
	=> diveucl.shlp}, doc/{eucldiv.tex => diveucl.tex}, doc/gcd.shlp,
	doc/gcd.tex, doc/keywords.def, doc/{euclmod.shlp => modeucl.shlp},
	doc/{euclmod.tex => modeucl.tex}, doc/sollya.pdf,
	doc/www/ListOfCommands.php, doc/www/{eucldiv.php => diveucl.php},
	doc/www/gcd.php, doc/www/{euclmod.php => modeucl.php}, help.h,
	parser.y: Changed keywords euclmod and eucldiv into modeucl and
	diveucl respectively.  This is to ensure a natural sorting position
	of the corresponding entry in the table of contents of the pdf
	documentation.

2018-06-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* NEWS: typo in the NEWS

2018-06-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check025.sollya, tests-tool/check025.sollya.reference: 
	Non-regression tests for the bugs fixed at revisions 6450330 and
	d4eb1bc

2018-06-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c: Another instance of the bug addressed in commit
	6450330.

2018-06-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* expression.c, help.h: Some errors of copyrights I just detected.
	Copyrights are normally up-to-date.

2018-06-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tget_element_in_list_timecomplexity.c: Patched a couple
	of issues in the complexity test for get_element_in_list.

2018-06-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c: Improved hook handling for cases when the
	function to be annotated is constant.

2018-06-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tget_element_in_list_timecomplexity.c: Patched
	timecomplexity test again.

2018-06-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, hooks.c: Patched a small issue with annotatefunction
	used on constant expressions that are zero.

2018-06-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* base-functions.c: Patched a bug found with floor(c), when c =
	log2(13)/log2(17) - log(13)/log(17);

2018-06-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tget_element_in_list_timecomplexity.c: Made test
	tget_element_in_list_timecomplexity work on a Raspberry Pi 3 running
	jessie.

2018-06-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/eucldiv.shlp, doc/eucldiv.tex, doc/euclmod.shlp,
	doc/euclmod.tex, doc/gcd.shlp, doc/gcd.tex, doc/sollya.pdf,
	doc/www/eucldiv.php, doc/www/euclmod.php, doc/www/gcd.php, help.h: 
	Changed documentation of div, mod, gcd again a little bit.

2018-06-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* NEWS: Modified NEWS.

2018-06-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/plot.shlp, doc/plot.tex, doc/sollya.pdf, doc/www/plot.php,
	help.h: Added documentation of SOLLYA_GNUPLOT in the doc of the plot
	command

2018-06-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/eucldiv.shlp, doc/eucldiv.tex, doc/euclmod.shlp,
	doc/euclmod.tex, doc/gcd.shlp, doc/gcd.tex, doc/sollya.pdf,
	doc/www/eucldiv.php, doc/www/euclmod.php, doc/www/gcd.php, help.h: 
	Modified a little bit the documentation of gcd, div and mod

2018-06-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/timecheck.sollya: Improved stability of the timecheck.


2018-06-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, sollya.map: Updated library version info

2018-06-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* NEWS: Proposition of a NEWS file for the release 7.0

2018-06-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* sollya.1: Updated man page

2018-06-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, configure.ac: Trying to use -no-undefined
	unconditionally. Let's see what happens.

2018-06-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac: Made a warning message slightly less confusing for
	Cygwin users.

2018-06-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* Makefile.am, configure.ac: Made shared libraries build on Cygwin.


2018-06-26  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Fixed a small mistake in the detection of pdflatex
	The message indicating whether pdflatex comes along with the
	required packages was displayed in any case, even when pdflatex
	itself had not been detected.

2018-06-25  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac: Just warn if libmpfi is not found at runtime.

2018-06-25  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.h, infnorm.c, printf.c: Worked again on the
	fallthrus in switch statements.

2018-06-25  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.c: Some fall-through signaled by gcc

2018-06-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Fixed a bad syntax in configure.ac  I do not fully
	understand what happens here, but I think one pair of brackets is
	eaten by the autoconf logic, so we need three pairs of brackets to
	make two in effect.

2018-06-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf: Strange recompilation.

2018-06-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, execute.c, expression.c, expression.h, infnorm.c,
	match.c, polynomials.c, printf.c: Tried to implement logic to use
	gcc's attribute for fall-thrus in switches.

2018-06-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* autodiff.c, autodiff.h, base-functions.c, base-functions.h,
	chain.c, chain.h, chebyshevformaux.c, chebyshevformaux.h,
	doc/conversionIntro.sh, doc/sollya.tex, doc/www/sollya.php,
	double.c, double.h, execute.c, expression.c, expression.h,
	fplll_wrapper.cpp, fplll_wrapper.h, fpminimax.c, general.c,
	general.h, help.h, hooks.c, implement.c, implementconst.c,
	implementconst.h, infnorm.c, infnorm.h, integral.c, lexer.l,
	match.c, mpfi-compat.c, mpfi-compat.h, plot.c, remez.c, remez.h,
	sollya-library-wrappers.c, sollya-messages.h, sollya-messaging.h,
	sturm.c, supnorm.c, taylorform.c,
	tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.reference, version.h, xml.c: 
	Systematically changed Sophia-Antipolis into Sophia Antipolis

2018-06-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* autodiff.c, execute.c, execute.h, expression.c, expression.h,
	external.c, general.c, general.h, hash.c, help.h, hooks.c,
	infnorm.c, infnorm.h, internlexer.l, lexer.l, library.c,
	minilexer.l, mpfi-compat.h, parser.y, plot.c, polynomials.c,
	polynomials.h, remez.c, signalhandling.c,
	sollya-library-wrappers.c, sollya-messages.h, sollya-messaging.h,
	sollya.h, sturm.c, supnorm.c: Updated copyrights changed between
	sollya-4.0 and sollya-6.0  The rule had been badly applied at this
	time (we should keep the list of all former affiliations, even when
	they denote the same entity)

2018-06-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.reference: Small patch to make the tests
	work again.

2018-06-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf: And recompiled the doc

2018-06-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* autodiff.c, autodiff.h, base-functions.c, base-functions.h,
	chain.c, doc/sollya.tex, doc/www/sollya.php, double.c, double.h,
	execute.c, execute.h, expression.c, expression.h, external.c,
	fpminimax.c, general.c, general.h, help.h, hooks.c, implement.c,
	implement.h, infnorm.c, internlexer.l, internparser.y, lexer.l,
	library.c, match.c, minilexer.l, miniparser.y, mpfi-compat.c,
	mpfi-compat.h, parser.y, plot.c, polynomials.c, polynomials.h,
	remez.c, sollya-library-wrappers.c, sollya.h, sturm.c, sturm.h,
	taylor.c, taylorform.c, taylorform.h, version.h, xml.c: Updated all
	copyrights since the release of sollya 6.0

2018-06-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore: Updates .gitignore with tget_constant_as_uint64_array


2018-06-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf: Recompiled the PDF.

2018-06-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* implement.c: Proposition of a more robust patch to bug [#21376].

2018-06-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Non-regression tests for bug [#21680]

2018-06-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Slight
	modifications in the recent documentation of
	sollya_lib_get_constant_as_uint64_array + update of the HTML doc
	accordingly.

2018-06-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am, tests-lib/tget_constant_as_mpz.c,
	tests-lib/tget_constant_as_uint64_array.c,
	tests-lib/tget_constant_as_uint64_array.reference: Added tests for
	the new sollya_lib_get_constant_as_uint64_array function.  Also
	added an extra check on the tests of sollya_lib_get_constant_as_mpz.


2018-06-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Non-regression test for bug fixed with commit 4d1761b.

2018-06-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Patched a bug with faithful evaluation containing a
	sub-expression for which both childs can be evaluated exactly but
	that would yield a (signed) infinity that makes a limit to be
	reached in the whole expression.  Example:  f = erf(1/x);
	evaluate(f,[0]);

2018-06-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/remez.tex, doc/sollya.pdf,
	doc/subpoly.tex, doc/taylor.tex, doc/time.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/introExample51.php, doc/www/remez.php, doc/www/subpoly.php,
	doc/www/taylor.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Recompiled the documentation.

2018-06-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* fpminimax.c: Fixed a segfault issue.  When pstar is not provided
	to fpminimax, while providing a list of points in a fixed-point
	context, a segfault happens due to an unprotected call to isError.
	This fixes the issue.

2018-05-25  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf, doc/sollya.tex: Documented
	sollya_lib_get_constant_as_uint64_array in the PDF version of the
	documentation.  The HTML documentation still needs to be adapted.

2018-05-23  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* hooks.c: Fixed some memory leaks in descartesRuleBasic.  I did not
	review the code in full details and just applied the obvious fixes.
	Some other leaks might remain. Especially, I have some doubts with
	variable 'coefficients'.

2018-05-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, polynomials.c: Patching memory leaks.

2018-05-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tbuild_function_libraryconstant.c,
	tests-lib/tbuild_function_libraryfunction.c,
	tests-lib/tget_element_in_list_timecomplexity.c,
	tests-lib/tlibraryconstant.c, tests-lib/tlibraryfunction.c: Patched
	minor memory leaks.

2018-05-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, expression.h, general.c: Made variable caching again
	a little bit more robust.

2018-05-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c: Made memory management for variable nodes
	slightly more robust.

2018-05-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Optimized precision handling in an old function.

2018-05-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, tests-tool/check025.sollya.reference: Improved
	polynomial degree handling for the case c * p(x)

2018-05-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Patched a memory leak.

2018-05-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* expression.c: Patched a memory leak introduced with the branch
	unifiedBaseFunction

2018-05-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.h: Improved documentation of getRecurseCutoff and
	getRecursePrec in base-function.h now that their role has been
	clarified by Christoph in commit c155bf2.

2018-05-02  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c, base-functions.h, expression.c, infnorm.c: 
	Clarified the semantic of point_eval.  This is an evaluation "à la"
	MPFR, with an implicit rounding mode MPFR_RNDN. The rounding
	functions of double.c is patched in master in order to conform this
	semanantic, whatever the precision of the ouput variable (see commit
	87d9b3b2).

2018-05-02  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.h: Changed a little bit the comment added with
	56cf7f2.  Indeed, before being passed to evalsign the sub-tree is
	simplified with obvious simplifications, but no deep simplification.
	For instance, rounding functions know that their result fit on some
	explicit precision format and the simplification does compute the
	exact result in general. A similar argument holds for abs: evalsign
	is called by the simplification function in order to try to simplify
	it. Therefore, in those cases, having still the symbol (ABS, DOUBLE,
	etc.) as head symbol likely means that the sign will not be easy to
	guess and it is legitimate to return without even trying.  This
	argument does not hold for integer rounding functions: here the
	result is exactly representatble on *some* precision format, but we
	do not know which format. Hence, the simplification procedure will
	try to compute the exact value, but keeping a reasonably small
	precision format. It can fail if this trial precision is too small,
	in which case we keep the head symbol (FLOOR, etc.). But it does not
	mean that the sign cannot be easily computed.

2018-04-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c: abs_evalsign is now trivialized.  Now that
	abs(expr) is simplified whenever expr is a constant expression whose
	sign can be detected, there is no reason to keep a non-trivial
	evalsign function (same reason as for rounding functions).

2018-04-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c: abs(expr) is now simplified when expr is a
	constant expression whose sign can be guessed.  I took this
	opportunity to clean up a bit the code.

2018-03-31  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c: Improved readibility of
	simplify_rounding_function.  Also, avoid allocating and initializing
	an mpfr when non-necessary in simplify_integer_rouding_functions

2018-03-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c: All rounding functions now share the same
	simplification procedure.

2018-03-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c, tests-lib/tdiff.reference,
	tests-tool/check012.sollya.reference: Rationalized the expressions
	for the derivative of base functions.  * Some derivatives (tan,
	asin, acos and tanh) were composed of x^2, whereas others (atan,
	asinh, acosj, atanh) were composed of x*x. This is now unified with
	x^2 evertywhere. * The derivative of erf and erfc were composed with
	sqrt(atan(1)) to mean sqrt(pi)/2... * Except for sqrt, all base
	functions whose derivatives were of the form 1/f constructed the
	derivative of a composition as (1/f(g))*g'. Now this is
	systematically g'/f(g). * The derivative of acos is now structurally
	the negation of the derivative of asin. The same holds for erfc wrt
	erf. * The derivative of acosh is now 1/sqrt(x^2-1) (with a
	subtraction) instead of 1/sqrt(-1 + x^2)

2018-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.h, infnorm.c, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: Made an important function
	DAG-aware and added some tests for that.

2018-05-09  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Internally documented two functions.

2018-05-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c, expression.c, match.c: Some modifications that I
	forgot to propagate to the branch unifiedBaseFunction following the
	previous merge of master into it.

2018-05-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* assignment.c, double.c, execute.c, expression.c, expression.h,
	fpminimax.c, general.h, implement.c, infnorm.c, match.c, remez.c,
	sollya-library-wrappers.c, taylor.c: Refactored code for node memory
	management again.

2018-05-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* assignment.c, execute.c, expression.c, expression.h, hooks.c,
	infnorm.c, polynomials.c: Refactored code working with caches held
	in memref'ed nodes.

2018-05-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* double.c: Reworked the double-rounding warnings for the rounding
	functions.

2018-05-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* double.c, expression.c, hooks.c, implement.c: Reworked the
	rounding functions for D, DD, TD, SG, QD, halfprecision.

2018-05-02  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* double.c, double.h: Cleaned up declaration of private functions in
	double.h

2018-04-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.h: Added a comment about the semantic of evalsign.
	This explains why for functions such as double or ceil, evalsign
	does not even try to do something.

2018-04-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c, base-functions.h: Corrected a type error.  It
	was a historical mistake that I did when I ported code of infnorm.c
	from master to the branch unifiedBaseFunction

2018-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c: Fixed a bug with acosh_evalsign when the
	argument equals 1.  The returned value used to be 1 instead of 0

2018-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c: abs is not differentiable everywhere on its
	domain.  After discussion with Christoph, we agreed that the
	semantic given as a comment of the definition of the field
	isDifferentiableEverywhere is correct. Consequently, the
	corresponding field in abs becomes false. The previous behavior was
	copied-pasted from the corresponding part in the master, and has
	been introduced with commit e322baf7 in order to prevent a bad use
	of Interval Taylor Evaluation for non-differentiable functions.
	Notice that we were not able to spot a tracking number, nor an email
	or ICQ thread about it, and we could not reproduce a situation
	showing a difference of behavior between right before and right
	after commit e322baf7.  It might appear later that abs was correctly
	handled there, in which case, the present commit should be reverted
	and the semantic (and probably the name) of
	isDifferentiableEverywhere should be patched accordingly.

2018-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* chebyshevform.c, double.c, double.h, execute.c, expression.c,
	expression.h, implement.c, infnorm.c, mpfi-compat.c, mpfi-compat.h,
	remez.c, sollya-library-wrappers.c, sturm.c, taylorform.c,
	taylorform.h, worstcase.c: Function prefixed with mpfr_ should
	belong to the MPFR API.  Consequently, all functions specific to
	sollya, even though they are kind of upgrading the API of MPFR for
	Sollya are now named sollya_mpfr_*

2018-04-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c, tests-tool/check020.sollya.reference: Increased verbosity
	level of most remez messages.

2018-04-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.c, expression.c, lexer.l, polynomials.c: Removed unused
	variables, as signaled by gcc

2018-04-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, infnorm.c: Small changes discussed with Sylvain:
	invisible hidden bugs that are bugs nevertheless

2018-03-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c: Corrected a mistake: log1p vanishes only at
	zero, so set onlyZeroIsZero to true

2018-03-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Slight change to correct an error found by chance
	while discussing with Sylvain.

2018-03-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c, base-functions.h, expression.c: Updated
	copyrights and removed unrelevant TODOs

2018-03-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c, base-functions.h, expression.c: Re-designed the
	signature of try_exact_rational_eval in order to unify with the
	style of other functions.  Instead of asking the end-user to pass a
	pointer to the baseFunction object itself, this is now done manually
	in base-function.c, inside individual functions that encapsulate the
	call to the generic try_exact_rational_eval_* functions.

2018-03-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, expression.h, taylor.c,
	tests-tool/check011.sollya.reference: Made a lot more operations
	DAG-aware.  Now things like:  > p = taylor(asin(x),9,0.5); >
	degree(p); 9 >  have become feasible.

2018-03-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.h: Some progress on substitution cache.

2018-03-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Started working on a substitution cache.

2018-03-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, expression.h, general.c,
	tests-tool/check024.sollya.reference: Unified the creation of
	VARIABLE Sollya objects wherever possible.  The change induces an
	about 5% performance gain with metalibm. The reasons for that gain
	are not really understood but there is a gain.

2018-03-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, implement.c, infnorm.c, remez.c,
	taylor.c: Started work on unification of all VARIABLE nodes.

2018-03-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: With commit da252f1a41af5baed6374a0bba1842970f7976d8, a
	left-over of #20094 has reappeared. This commit patches the
	resulting regression.

2018-03-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/equal.shlp, doc/equal.tex, doc/isevaluable.shlp,
	doc/isevaluable.tex, doc/neq.shlp, doc/neq.tex, doc/sollya.pdf,
	doc/www/equal.php, doc/www/isevaluable.php, doc/www/neq.php,
	help.h, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: Modified the documentation
	after the changes introduced with commit da252f1a  Added new tests
	to ensure non-regression of this new behavior. This allowed to
	detect a bug (that look like a regression). The checks currently DO
	NOT PASS and won't until this bug is fixed.

2018-03-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check002.sollya, tests-tool/check002.sollya.reference: 
	Improved a test that commit ce762ff revealed to be badly designed.

2018-03-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check012.sollya, tests-tool/check012.sollya.reference: 
	Non regression test for bug patched with commit 51a3907

2018-03-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Non-regression test for bug #21659

2018-03-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check022.sollya, tests-tool/check022.sollya.reference: 
	Added non regression test for bug #21658

2018-03-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Trying to patch the left-overs of the bug [#21658]
	Elliptic lists do not support arbitrary precision integers

2018-03-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Patching bug #21659 Misleading error message
	Completely rewrote dirtyIsConstant.

2018-03-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* external.c, general.c, general.h, plot.c: Updating gnuplot
	handling behavior in order to implement Sylvain's dreams as he set
	them out in his email on 2018-03-10 22:36 CET.  Typically:  *
	gnuplot is now called without the persist option  * Any interactive
	gnuplot script contains a gnuplot command to keep   the plot window
	open  * it is ensured that the gnuplot file does not go away until
	the   gnuplot process dies  * it is ensured that the gnuplot process
	dies on its own once the plot   window is closed  This allows
	zooming in the gnuplot window and other manipulations.  For cases
	when the user does not want to call gnuplot but another compatible
	plotting tool, an environment variable SOLLYA_GNUPLOT is read at the
	moment of the first plot.

2018-03-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Patches bug #21658 Elliptic lists do not support
	arbitrary precision integers  No non-regression tests have been
	added yet.

2018-03-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample43.tex, doc/introExample51.tex, doc/remez.tex,
	doc/sollya.pdf, doc/time.tex, doc/timing.tex,
	doc/unsuppressmessage.tex, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/introExample43.php,
	doc/www/introExample51.php, doc/www/remez.php, doc/www/time.php,
	doc/www/timing.php, doc/www/unsuppressmessage.php, help.h: 
	Recompiled the documentation after patching a bug.

2018-03-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Patched a bug with evaluation over intervals.

2018-03-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/equal.shlp,
	doc/equal.tex, doc/evaluate.tex, doc/introExample33.tex,
	doc/introExample43.tex, doc/introExample51.tex,
	doc/isevaluable.tex, doc/neq.shlp, doc/neq.tex, doc/remez.tex,
	doc/sollya.pdf, doc/time.tex, doc/timing.tex,
	doc/unsuppressmessage.tex, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/equal.php, doc/www/evaluate.php,
	doc/www/introExample33.php, doc/www/introExample43.php,
	doc/www/introExample51.php, doc/www/isevaluable.php,
	doc/www/neq.php, doc/www/remez.php, doc/www/time.php,
	doc/www/timing.php, doc/www/unsuppressmessage.php, help.h: 
	Recompiled the documentation after a small change for == and !=.

2018-03-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, tests-lib/tcmp_not_equal.reference,
	tests-tool/check013.sollya.reference,
	tests-tool/check029.sollya.reference: Changed error and NaN behavior
	again, according to our new understanding of IEEE754-2008 and the C
	standard.  NaN == NaN -> false NaN != NaN -> true [NaN] == [NaN] ->
	false [NaN] != [NaN] -> true error == error -> false error != error
	-> false

2018-03-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Patching a strange bug where [NaN;NaN] != [NaN;NaN]
	evaluates to true.

2018-03-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check.proto, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: Non-regression test for bug
	21654

2018-03-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* plot.c: Patching a bug with the file option of plot.

2018-03-01  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Improved polynomial division when divisor has just
	one monomial.

2018-02-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Implemented polynomial multiplication for
	polynomials with integer coefficients using Kronecker substitution.


2018-02-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Further improved polynomial multiplication.

2018-02-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Added special code for rational polynomials.

2018-02-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, polynomials.c: Implemented Karatsuba polynomial
	multiplication.

2018-02-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Made simplifications in rationalmode = on; work
	better on expressions like floor(log10(10^-30 * (10^15 + 1)))

2018-01-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check007.sollya, tests-tool/check007.sollya.reference: 
	Non-regression test for bug #21592

2018-01-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Patched a bug with differentiation of polynomials.
	The bug was found with evaluation of an expression where the use of
	Hopital's rule is necessary.

2017-09-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, general.h, internparser.y, lexer.l, miniparser.y,
	parser.y: Removed deprecated 'read' macro.

2017-08-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tbuild_function_libraryconstant.c,
	tests-lib/tbuild_function_libraryconstant.reference,
	tests-lib/tbuild_function_libraryfunction.c,
	tests-lib/tbuild_function_libraryfunction.reference,
	tests-lib/tlibraryconstant.c, tests-lib/tlibraryconstant.reference,
	tests-lib/tlibraryfunction.c, tests-lib/tlibraryfunction.reference: 
	Made tests for library constants and library functions more robust
	J. Benoit discovered false positives while testing sollya on armhf
	architecture for Debian. Indeed, I do not completely understand the
	logic behind the tests (it seems to me that we were testing twice
	the same thing with stupid6 and stupid7). Anyway, the code was
	intended to give a pointer to a random place in the memory by
	considering stupid6 + 17 and stupid7 - 17, and it appears that we
	might (by chance) end up on the address of a true function, whence
	the false positive. I made the code more robust by using a freshly
	allocated pointer, which is the technique already used for another
	test.

2017-06-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* implement.c, implement.h: Trying to patch "#21376 Abandon (core
	dumped) dans implementpoly"

2017-05-19  Christoph Lauter <christoph.lauter@lip6.fr>

	* chain.c: Replaced stupid bubble sort by qsort from stdlib.

2017-05-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, tests-tool/check009.sollya: Made simplify less
	precision-hungry.

2017-05-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c: Implemented the bisection algorithm on the exponents for
	Newton's algorithm when the zero is very close to 0

2017-05-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* remez.c: No, 8 is better.

2017-05-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* remez.c: Back to 512.

2017-05-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* remez.c: The value 512 * prec was too much. There should be a
	bisection algorithm.  In cases when the expression is something like
	((cos(x))^ - 1) / (x^2)  evaluation is easy at 0 (by Horner's rule)
	but not at 2^(-512 * prec) due to cancellation.

2017-05-09  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, remez.c: Patched a bug in faithful evaluation. Patched
	an issue in dirtyfindzeros.

2017-05-05  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* infnorm.c, remez.c: Precision was way too large to simply
	determine the sign of a function.  This affected dirtyfindzeros and
	dirtyinfnorm

2017-05-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Patching a performance issue with tree
	simplification.

2017-05-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* remez.c: Avoiding simplifications that are not really needed.

2017-05-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Improving the memory behavior of bind().

2017-05-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, tests-tool/check001.sollya.reference,
	tests-tool/check002.sollya.reference: Still improving performance of
	evaluate().

2017-05-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, tests-tool/check001.sollya.reference,
	tests-tool/check003.sollya.reference,
	tests-tool/check005.sollya.reference,
	tests-tool/check024.sollya.reference: Improving the performance of
	evaluate.

2017-05-04  Christoph Lauter <christoph.lauter@lip6.fr>

	* remez.c: dirtyfindzeros just needs to know the sign of the
	function to detect sign changes between sampling points.

2017-03-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Better precision handling in hook evaluation +
	Hopital's method combination.

2017-03-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, tests-tool/timecheck.sollya,
	tests-tool/timecheck.sollya.reference: Again working on complexity
	issues with annotate.

2017-03-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore: Updated .gitignore

2017-03-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference,
	tests-tool/libraryexample.c: Non-regression test for bug #21283

2017-03-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Added an extra safety net for external procedures that
	like to fork.

2017-03-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* external.c, general.c, plot.c: Patching an issue with plot
	stemming from a correct usage of the Sollya library in a forking
	programm resp. from an unorthodox combination of external
	procedures, fork and plot.

2017-03-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Patching an issue in the parser stemming from an
	unorthodox combination of external procedures, fork and plots.

2017-03-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check017.sollya.reference: Changed reference for
	bashevaluate again.

2017-03-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, tests-tool/check017.sollya.reference: Trying to patch
	bug #21247 "Strange 'contact lost' phenomenon when --warnonstderr is
	used"

2017-03-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.c, infnorm.c: Some changes forgotten in the previous
	merges

2017-03-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, mpfi-compat.c, mpfi-compat.h: Made calls to
	libraryfunctions try not to waste precision.

2017-03-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Patching some strange bug in faithful evaluation based
	on hooks that I remember to have fixed already but for which I find
	no clear commit message stating that fact.

2017-03-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: Again hooks.

2017-03-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: Hooks again.

2017-03-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* sturm.c, tests-lib/tnumberroots.reference: Improved behavior of
	numberroots.

2017-03-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: Again a slight improvements to annotatefunction.

2017-03-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf, hooks.c: Slight change to hooks for better debug
	support.

2017-03-02  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tremez.c, tests-lib/tremez.reference,
	tests-lib/tv_remez.c, tests-lib/tv_remez.reference,
	tests-tool/check020.sollya, tests-tool/check020.sollya.reference: 
	Fixed tests so as to make them pass again after the recent changes
	in remez

2017-02-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/library.shlp, doc/library.tex, doc/www/library.php, help.h: 
	Made it clear in the doc of library command that one can use
	sollya.h but without calling sollya_lib_[init|close]

2017-03-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: Correcting the last commit.

2017-03-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf, hooks.c: Added a possiblity to debug hooks.

2017-03-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* autodiff.c, execute.c, expression.c, general.c, general.h,
	infnorm.c, library.c, sollya-library-wrappers.c: Added an additional
	safety net for external procedures, library functions and library
	constants  External code called from within interactive Sollya may
	now spuriously invoke sollya_lib_init and sollya_lib_close without
	negative consequences.

2017-03-01  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check020.sollya: Slight modification of check020 in
	order to ease future maintenance.

2017-03-01  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: Again some improvements to evaluation hook adding.

2017-02-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: Made annotations with polynomials faster to be installed
	in certain cases.

2017-02-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c: Continuing the series of possible evaluation outside the
	domain.  dirtyinfnorm was evaluating at one point juste outside the
	domain as the last step of its loop. The result of this evaluation
	was not considered, anyway, but this behavior might be a problem for
	functions very hard to evaluate outside their domain.

2017-02-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c: A few other places with the same problem as in the
	previous commit de56e8f

2017-02-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c: Fixed bug in remez leading to evaluating the function on
	points possibly outside its domain.

2017-02-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* expression.c: Fix stupid bug with
	containsNonDifferentiableSubfunctions.  By the way, to handle this
	function correctly, I had to introduce with commit  f8207dd a new
	field in the type baseFunction. I named it
	isDifferentiableEverywhere, but I must say that I am not 100% sure
	to understand the semantic of containsNonDifferentiableSubfunctions
	and so this field is documented in a way that do not correspond to
	the true behavior. This is a thing that should be clarified with
	Christoph.

2017-02-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.c: Fix a small bug introduced with commit f8207dd  Hash
	computations stopped distinguishing between different base
	functions. This should now be fixed.

2017-02-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* base-functions.c: Fix a bug introduced with commit 252474e  I did
	not fix completely properly a conflict. Hopefully, the tests
	discovered it.

2017-02-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am, tests-lib/teuclidian_div.c,
	tests-lib/teuclidian_div.reference, tests-lib/teuclidian_mod.c,
	tests-lib/teuclidian_mod.reference, tests-lib/tgcd.c,
	tests-lib/tgcd.reference: Added tests for div and mod. Modified
	tests for gcd.

2017-02-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am, tests-lib/tgcd.c, tests-lib/tgcd.reference: 
	Added tests for gcd.

2017-02-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/eucldiv.shlp, doc/eucldiv.tex, doc/euclmod.shlp,
	doc/euclmod.tex, doc/gcd.shlp, doc/gcd.tex, doc/sollya.pdf,
	doc/www/eucldiv.php, doc/www/euclmod.php, doc/www/gcd.php, help.h: 
	Finished documenting gcd, div and mod.

2017-02-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/CommandsAndFunctions.tex, doc/Makefile.am, doc/eucldiv.shlp,
	doc/eucldiv.tex, doc/euclmod.shlp, doc/euclmod.tex, doc/gcd.shlp,
	doc/gcd.tex, doc/keywords.def, doc/numberroots.shlp,
	doc/numberroots.tex, doc/sollya.pdf, doc/www/ListOfCommands.php,
	doc/www/eucldiv.php, doc/www/euclmod.php, doc/www/gcd.php,
	doc/www/numberroots.php, help.h: Started documenting gcd, div and
	mod.

2017-02-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, expression.c, expression.h, internlexer.l,
	internparser.y, lexer.l, library.c, minilexer.l, miniparser.y,
	parser.y, sollya-library-wrappers.c, sollya.h: Continuing on the
	binding for div and mod.

2017-02-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Started working on the binding for div and mod.

2017-02-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Patched a memory leak in gcd.

2017-01-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, polynomials.h: Started working on div and mod for
	numbers and polynomials.

2017-01-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Patched a performance bug with multiplication of
	polynomials.

2016-12-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/head.shlp, doc/head.tex, doc/revert.shlp, doc/revert.tex,
	doc/sollya.pdf, doc/sort.shlp, doc/sort.tex, doc/tail.shlp,
	doc/tail.tex, doc/www/head.php, doc/www/revert.php,
	doc/www/tail.php, help.h: Added some seealso in the doc

2016-12-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* sturm.c: Slightly improved numberroots for particular situations.


2016-12-01  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Slight improvement on how externalprocedure receive
	their result arguments. This is because certain compilers seem to
	have trouble taking a pointer on a void * variable.

2016-12-01  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, sollya.h, sollya.map: Added some
	additional functionality into the Sollya library that allows the
	Python wrapper to support Python long integers.

2016-11-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* ChangeLog, Makefile.am: Updated ChangeLog and -version-info in
	master branch.

2016-10-17  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: The man page was not distributed when help2man was
	not present...

2016-10-17  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Added missing
	documentation for the sollya_lib_range function

2016-10-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Patched a small bug in an evaluation function.

2016-10-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: A certain cache in the polynomial code needs to be
	invalidated in certain situations.

2016-10-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Performance optimizations in polynomial code.

2016-10-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, expression.h, polynomials.c: Performance
	optimizations with a code that uses rational arithmetic on
	polynomials a lot.

2016-10-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Slight performance improvement to functions
	handling polynomials with rational constants.

2016-10-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: A certain cache in the polynomial code needs to be
	invalidated in certain situations.

2016-10-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/remez.tex, doc/sollya.pdf,
	doc/time.tex, doc/timing.tex, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/introExample51.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Recompiled the documentation.

2016-10-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* NEWS: Updated NEWS file with the modification we did since last
	time.

2016-10-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf: Reintroduced sollya.pdf that has mysteriously be
	removed in a previous commit

2016-10-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Configure checks that pdflatex comes with the
	required packages.  Otherwise, when pdflatex was detected, make
	tried to compile the doc when doing make all, and this could fail,
	leading `make all` to fail without even trying to compile sollya.

2016-10-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check024.sollya, tests-tool/check024.sollya.reference: 
	Introducing a non-regression test for the bug patched at commit
	e34e380

2016-10-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, doc/Makefile.am, doc/sollya.pdf: In silent-mode,
	pdflatex and help2man now display nice messages.

2016-10-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac, tests-lib/Makefile.am: Patched a bug preventing make
	check-lib to build.  Of course, I reverted the temporary patch
	committed by Christoph with commit d632607.

2016-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Slightly changed the logic with srand/rand in
	__unique_id generation.

2016-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf: Automatic recompilation of the documentation.

2016-10-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am: F**ing temporary solution to make the tests
	compile again.

2016-10-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* general.c: Replaced calls to rand_r by calls to rand (rand_r is
	marked as obsolete from POSIX.1-2008).  I am not sure that this is
	related to the fact that it is obsolete, but we had a warning
	'implicitely declared function' under Debian about rand_r which was
	mysterious. It did not appear clearly to me that rand_r was really
	necessary in our context, so I switched to the couple srand/rand.

2016-10-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Replaced a trick that we used to do before we knew
	about abs_srcdir variable

2016-10-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* general.c, parser.y, sollya.1: Integrated last patch proposed by
	J. Benoit.  Do not include the built information in the version and
	help texts used by help2man to generate the man page.

2016-10-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* sollya.1, version.h: Integrated 7th patch proposed by J. Benoit
	Enhanced formatting of the version text, so as to generate a nicer
	looking man page.

2016-10-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/Makefile.am: Integrated 6th patch proposed by J.
	Benoit.  Simple reformatting of a long line in
	tests-tool/Makefile.am in order to break it into several shorter
	ones.

2016-10-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac, doc/Makefile.am: Integrated 5th patch proposed by J.
	Benoit  Nicer way of compiling the documentation through make
	sollya.pdf I understood that `make install` should now install
	sollya.pdf but did not test this feature yet.

2016-10-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, configure.ac: Integrated 4th patch suggested by J.
	Benoit.  Enhanced configure.ac with modern practices

2016-10-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex: Integrated 3rd patch suggested by
	J. Benoit.  Nicer formatting of the pdf title page, licence page,
	and table of contents.

2016-10-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex: Integrated 2nd patch proposed by
	J. Benoit.  Enhanced table of contents in sollya.pdf

2016-10-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/dirtyintegral.shlp, doc/dirtyintegral.tex,
	doc/honorcoeffprec.tex, doc/implementpoly.tex, doc/sollya.pdf,
	doc/www/dirtyintegral.php, doc/www/honorcoeffprec.php,
	doc/www/implementpoly.php, general.c, help.h, implement.c,
	infnorm.c, sollya-library-wrappers.c, sollya-messaging.h, sollya.1,
	sollya.h2m, tests-lib/timplementpoly.c,
	tests-lib/timplementpoly.reference, tests-lib/tv_implementpoly.c,
	tests-lib/tv_implementpoly.reference,
	tests-tool/check004.sollya.reference,
	tests-tool/check005.sollya.reference,
	tests-tool/check029.sollya.reference: Integrated 1st patch suggested
	by J. Benoit.  Spelling mistakes.

2016-10-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* internlexer.l: Patching a strange bug that made
	"showmessagenumbers = on/off" constructions to be ignored in Sollya
	files when these files were read not with read nor parse but with
	execute.

2016-10-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Trying to patch a regression in the Sollya library
	introduced with commit f175f2b938036f38a027adf2f0f381db87bd1e21

2016-10-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Performance optimizations in polynomial code.

2016-10-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Added heuristic algorithm to compute the gcd of two
	polynomials. Corrected a bug in a function used kinda everywhere.

2016-10-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, expression.h, polynomials.c: Performance
	optimizations with a code that uses rational arithmetic on
	polynomials a lot.

2016-10-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Slight performance improvement to functions
	handling polynomials with rational constants.

2016-10-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Changed normalization rule for gcd of polynomials.


2016-10-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, expression.h, internlexer.l,
	internparser.y, lexer.l, library.c, minilexer.l, miniparser.y,
	parser.y, polynomials.c, sollya-library-wrappers.c, sollya.h: Again
	some progress with gcd. Binding done, untested, no tests, no
	documentation.

2016-10-07  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Added the man page to the distributed tarballs

2016-10-07  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* sollya.1: and the corresponding generated sollya.1...

2016-10-07  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Yet another small fix for help2man

2016-10-07  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* sollya.1: Added the manual page to the git repository.

2016-10-07  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, version.h: Fixed minor issues with the generation of
	the man page

2016-10-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, polynomials.c: Some progress with gcd.

2016-10-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/Makefile.am, doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/remez.tex, doc/sollya.pdf,
	doc/time.tex, doc/timing.tex, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/introExample51.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Recompiled the documentation.

2016-10-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Patching a small issue with parse(), used in
	combination with DOS-like CR/LF sequences at the end of the parsed
	string.

2016-10-07  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/Makefile.am, tests-tool/check031.sollya,
	tests-tool/check031.sollya.reference: Attempt for non-regression
	tests regarding correct handling of "\r\n"

2016-10-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, polynomials.h: Starting working on polynomial gcd.


2016-10-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check031.sollya: Proposition of tests for the '\r\n'
	compatibility.

2016-10-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* NEWS: Slightly changed the NEWS file.

2016-10-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* NEWS: Concrete proposition of a NEWS file.

2016-10-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* internlexer.l, lexer.l, minilexer.l: Trying to make the different
	lexers silently ignore the carriage return symbol found in DOS
	formatted files before newline. I hope that this change does not
	interfere with Cygwin's (and MS Win*s POSIX subsystems) inherent
	ways of translating back-and-forth between both formatting rules, as
	the C standard mandates it to do so.  Feature untested; testing
	should be performed for all imaginable combinations of read, execute
	and parse invokations, with Sollya's original input either coming
	from a file, given in argument, or from standard input.

2016-10-05  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* NEWS: Updated the proposition of NEWS file with the bug fixed a
	few days ago

2016-10-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check024.sollya, tests-tool/check024.sollya.reference: 
	Added non-regression test for bug [#20818]

2016-10-04  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, tests-tool/check013.sollya.reference,
	tests-tool/timecheck.sollya.reference: Trying to patch "[#20818]
	Expression tree changes when it is written in a file and read back".


2016-09-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Corrected a typo.

2016-09-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Completely reworked the configure tests for FPLLL.
	The recent change of API in fplll introduce new combinatoric
	possibilities: one might or now want to add the -std=c++11 option,
	and one might or not use the new API. This is to add to the old
	possibilities regarding the position of fplll.h in the include
	directory tree and the question of whether -lfplll flag should be
	passed or not the linker.  At first, I thought that things were not
	much more difficult: the new -std requirement comes with the new API
	and that's it. It turns out that fplll API is currently not stable
	and the new API for instance was the one to use with fpllll 5.0 but
	not with the current git repository of fpllll. Nevertheless, the
	requirement of -std=c++11 is stays present with the current
	repository, although the old API is used.  To make things more
	complicated, we have examples of versions of fplll (observed when
	trying to compile under Christoph's Cygwin system) where passing
	-std=c+11 breaks the compilation while not passing it works fine.
	Also, recently Victor Magron signaled that versions of g++ around
	4.8 and 4.9 works fine with modern versions of fplll *only* is the
	option -std=c++11 is explicitely passed (although with more recent
	versions of g++, it compiles fine with or without the option).  So,
	I decided to more or less systematically test the possible
	combinations of these four parameters. Some combinations really seem
	to be unlikely because they refer to behaviors of fplll at very
	different time of its history. So we indeed try only 7 possibilities
	over the 16 possibilities. Hopefully, this should allow us to
	compile sollya with more or less any version of fplll.

2016-09-26  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/timecheck.sollya: Non-regression tests for the couple
	of bugs hidden behind the same example.  These two bugs have been
	addressed (without a bug report) during the past three weeks.
	Contrary to what we once thought, there is absolutely no cache issue
	involved, so I reverted commit 1b7a727 on my way.

2016-09-26  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* sturm.c: Updated copyrights

2016-09-23  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* ChangeLog, NEWS: Selection of items to put in the NEWS of 6.0

2016-09-19  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/Makefile.am, tests-tool/check031.sollya,
	tests-tool/check031.sollya.reference: Removed non-regression test
	for the bug fixed at commit 9b578b8.  It seems really not easy to do
	a robust test that would also work on platforms without an X server.


2016-09-23  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* fpminimax.c: Better formatting of fpminimax messages at verbosity
	level >= 4

2016-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* sturm.c: Slight performance improvement to numberroots.

2016-09-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, tests-tool/timecheck.sollya: Patching the most
	difficult bug ever to be patched inside Sollya.

2016-09-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Revert "Patched a small bug with the reuse of a
	global variable."  This reverts commit
	b5cbc68511a8a5178a8044cdf43c9e04bdbe0608.

2016-09-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Patched a small bug with the reuse of a global
	variable.

2016-09-19  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/timecheck.sollya: Get rid of certain caching effects.

2016-09-19  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Updated tests for min and max.

2016-09-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added additional checks for min and max.

2016-09-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Patching a bug with infinities in min and max.

2016-09-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check031.sollya: Some improvements to check031, making
	it run when no X is available and improving locking behavior.

2016-09-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/Makefile.am, tests-tool/check031.sollya,
	tests-tool/check031.sollya.reference: Kind of non regression test
	for the bug patched with commit f175f2b.

2016-09-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/timecheck.sollya,
	tests-tool/timecheck.sollya.reference: Non-regression test for a
	performance bug addressed at commit e0b3184.  The test currently
	does not pass as the performance issue seems to still exist,
	although it has been already much improved by commit e0b3184.

2016-09-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c: Patched a memory leak in remez

2016-09-09  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check030.sollya, tests-tool/check030.sollya.reference: 
	Added non-regression tests for bugs #12892 and (parts of) #17200.

2016-09-09  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c, sollya-messages.h, sollya-messaging.h: Kind of patched
	bug #12892.  The patch is not perfect, but works and will work in
	most situations, although this is not the smartest thing we could
	do. The problem was that multi-point exchange algorithm sometimes
	behaves badly when Haar condition is not fulfilled, leading to a
	situation where epsilon could suddenly decrease (instead of
	constantly increase), therefore leading to possible pseudo-cycles in
	the algorithm.  When we detect that epsilon has decreased, we now
	simply switch to the single point exchange algorithm and keep this
	choice active until the end of the algorithm. This ensures that no
	cycle can happen.  We could do better by starting over from the
	previous set of points (instead of simply continuing with the set of
	points that led to epsilon decreasing) but the patch to do it would
	be more involved, and in practice it does not seem to be very
	harmful to simply continue the algorithm with the points obtained
	after epsilon has decreased. Indeed, this patch also fixes bug
	#17200 except for one case where, precisely, it is not a good idea
	to continue the algorithm after epsilon has decreased.

2016-09-07  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Removed definitions of sollya_C*FLAGS in Makefile.am
	(they seem useless).  Christoph introduced them when we started
	compiling the interactive tool from the library. He could not come
	with any precise argument why he put these definitions, except that
	he remembers having copied it from some more or less official
	example found on the web.  As far as I understand the logic of
	automake, this is useless because AM_C*FLAGS are automatically added
	to any target. I tried removing it and compiling sollya on a
	computer where the usual libs are installed in some prefix,
	providing them through the --with- mechanism and it worked
	perfectly.

2016-09-07  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* infnorm.c: Removed code that seems useless.  While investigating
	the bug addressed by Christoph at commit e0b3184, I found a piece of
	code I could not understand the logic of in infnorm.c. This code
	adds a complementary test to an existing test deciding whether we
	should run Newton's algorithm within dirtyinfnorm algorithm. The
	addition has been made by Christoph at commit 9b1d5e6. This commit
	performs many non trivial modifications on many files, including
	infnorm.c, but this precise modification is completely isolated (in
	particular, it is the only modification to the dirtyinfnorm
	algorithm). There is no comment that would provide us with an idea
	of the intent behing this modification, and the commit log is not
	more helpful.  I cannot see any logic in this modification, although
	it is rather harmless in the sense that it would simply conclude
	that it is necessary to run Newton's algorithm in situations where
	it does not seem quite useful.  The present commit reverts this
	modification. All the tests keep passing.

2016-09-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Trying to patch a strange performance bug in interval
	evaluation with low precision.

2016-09-05  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya: Changed variable names to uppercase in
	the systematic tests for objectname.  This is to clearly separate
	variable names in the generated script from variable names in the
	generating script. This is made necessary by Christoph's change of
	commit 10f890b that removed a 'restart' that would be otherwise
	required.

2016-09-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Still improving debuggability of a test.

2016-09-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Improved test for objectname to allow for debugging of issues with
	that test in valgrind.

2016-08-31  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* external.c, infnorm.h: Updated copyrights.

2016-08-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/shlp2tex.sh: shlp2tex.sh now automatically adds new .tex files
	to Makefile.am

2016-08-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tget_element_in_list_timecomplexity.c: Made
	tget_element_in_list_timecomplexity test be skipped instead of
	failure  Whenever this complexity check does not pass, it returns a
	code meaning SKIP instead of FAIL, so as not to disturb users or
	Debian robots. This is similar to what is performed in tests-tool
	with the MAYFAIL_TESTS

2016-08-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Attempt to patch configure issue with fplll on
	Cygwin.  The changes introduced at commit ea4ede2 break configure
	with some versions of fplll on Cygwin. Indeed, the option -std=g++11
	was now systematically added when supported by the compiler, but it
	turns out that the compilation of some older versions of fplll under
	Cygwin raise an error when compiled with this option, although they
	compile fine without the option...  This commit attempts to fix this
	issue by adding the -std=g++11 option only when the new API is
	detected, indicating that fplll is recent enough.

2016-08-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* fpminimax.c, general.c, plot.c: Worked around some compiler
	warnings.

2016-08-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* external.c, general.c, general.h, lexer.l, plot.c: Still trying to
	fix a strange issue with fork() and the input streams used for read.


2016-08-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* fplll_wrapper.cpp: Support both old and new API for fplll.

2016-08-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, fplll_wrapper.cpp, fplll_wrapper.h, fpminimax.cpp =>
	fpminimax.c: Separated C++ from C in fpminimax.

2016-08-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Prepared configure, so as to detect rather FPLLL
	should be used with the old API

2016-08-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Option -fPIC was given twice.

2016-08-26  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, general.c, sollya.h2m, version.h: Minor modifications
	to restore proper behavior of help2man  It turns out that an
	innocent and small modification to Jerome Benoit's proposition when
	merging it back to the trunk at commit 972f2d6 was completely
	messing up the work of help2man. This commit restores a nice
	behavior.

2016-08-25  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added non-regression test for bug #8867

2016-08-02  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.c, implement.c, infnorm.c, infnorm.h, remez.c: (Kind of)
	fixing bug [#8867] Possible infinite loop in Remez  This led me to
	introduce a new argument to uncertifiedInfnorm that allows one to
	store an argmax.  The patch is a patch over a patched algorithm, and
	all this does not really make sense any more. At least, this patch
	makes both examples reported in the bug report terminate. I have no
	proof of any kind that it completely patches the problem.

2016-08-02  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c: Reworked verbosity levels for some messages of remez
	algorithm.

2016-08-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Patched a minor issue with displaying of code elements
	in match - with constructs.

2016-08-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* external.c, general.c, general.h, lexer.l, plot.c: Making the
	interworking between read and forking commands like plot extra-safe.


2016-07-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c: Message "function oscillates too much" is displayed at
	most once per remez step.

2016-07-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: Fixed a subtle bug in remez
	When the function was not defined close after the right end-point of
	the domain, the algorithm could fall into a more or less infinite
	loop, trying to evaluate it again and again at points not in the
	domain.  A non regression test was added.

2016-07-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* general.c, main.c, sollya-library-wrappers.c: Updated copyrights
	and checked that PDF and PHP are synchonized.

2016-07-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/Makefile.am: Makes it possible to recompile the doc within a
	VPATH build

2016-07-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/Makefile.am: Make automake happy (it gives a special meaning
	to underscores)

2016-07-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/Makefile.am: Added source tex files into the distributed
	packages

2016-07-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* library.c: Removed a warning.

2016-07-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore: Yet another update of .gitignore  For files in
	tests-lib this time...

2016-07-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* general.c, sollya.map, tests-lib/Makefile.am,
	tests-lib/tget_element_in_list.c,
	tests-lib/tget_element_in_list.reference,
	tests-lib/tget_element_in_list_timecomplexity.c,
	tests-lib/tget_element_in_list_timecomplexity.reference: 
	Time-complexity checks in tests-lib independent from Sollya library
	In order to avoid declaring symbols in sollya.map that are useless
	except for the checks of the lib, I propose the following patch:   -
	separate tests of tget_element_in_list into two separate files: one
	file is specifically for checking the time complexity.   - this time
	check is performed only on systems where gettimeofday is available
	Right now, if gettimeofday is available the test is performed and
	may fail (as opposed to tests-tool/timecheck.sollya that is marked
	as 'SKIP' instead of 'FAIL' when it does not pass). Normally, the
	check for tget_element_in_list_timecomplexity is designed to be
	really robust and measure a theoretical complexity, so I am in favor
	of really marking it as 'FAIL' in case it does not pass. But notice
	that this behavior is easy to change if we wish.  Normally, I should
	have removed everything that had been added to the source code
	specifically to make sollya_gettime available and usable in the
	tests of the lib.

2016-07-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, libsollyaexample.c: Removed libsollyaexample.c  This
	file had been created initially to offer a panorama of how to used
	the library but it has never been really filled with something
	non-trivial.  The idea remains good in itself but would require some
	work. Currently, the official documentation does the job and the
	test-lib/*.c files offer a lot of practical examples, more valuable
	than the current libsollyaexample.c

2016-07-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/Makefile.am, tests-tool/check.proto: Less fragile
	support for timecheck  timecheck is designed to be quite robust,
	but, by its nature may fail on some unusual architectures. This
	could be misleading to people that might think that they have a
	problem with their compilation of Sollya.  An idea proposed by
	Jerome Benoit was to list it as XFAIL, but timecheck *is not*
	expected to fail: it is expected to pass, although, sometimes, it
	might not pass (notice that these situations are worth being
	reported). As a compromise, I propose in this patch simply to mark
	it as skipped when it does not pass.

2016-07-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore: Updated .gitignore with files produced my modern
	versions of automake

2016-07-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/remez.tex, doc/sollya.pdf,
	doc/time.tex, doc/timing.tex, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/introExample51.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Recompiled the documentation.

2016-07-10  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Forgotten file in the EXTRA_DIST variable.

2016-07-10  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* sollya.map: Modified sollya.map in order to allow the tool to
	compile again.

2016-07-09  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Fixed a bug introduced with
	8d2d75bbafda71eb5446fcc9b0f96383a47ab370  In that commit, Jerome
	Benoit removed AM_LDFLAGS from the definition of
	libsollya_la_LDFLAGS. I do not know if this was intentional or
	accidental, but it turns out that this was necessary, e.g. to link
	against a library installed in a non-conventional place specified
	through the --with-xxx argument of configure.

2016-06-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file

2016-07-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore, m4/ld-version-script.m4: Added missing definition of
	macro gl_LD_VERSION_SCRIPT

2016-07-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, configure.ac, sollya.h2m: Fixed some problems with
	the patch introduced by Jerome Benoit  - there were a few typos -
	the patch was forcing anyone who wants to compile Sollya from the
	sources to have help2man. If it was not the case, compilation failed
	with an error. I chose to make the presence of help2man optional and
	deactivated the creation of the man page when help2man is not
	present. Alternatively, we could decide that help2man is mandatory
	(as flex and bison are) but in this case, configure must fail when
	help2man is unavailable. - I replaced the Makefile rule "%.1" into
	"sollya.1" since the '%' construction is a GNU make extension and
	there is no real reason to use it here.

2016-07-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* Makefile.am: Made the Sollya tool be built out of the Sollya
	library.

2016-07-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* plot.c: Patching a funny bug found on non-standard VT100 terminals
	(not enough memory).

2016-07-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* Makefile.am, general.c, general.h, main.c, main.h: Started working
	on making the Sollya tool be just a wrapper of the Sollya library.

2016-07-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Reintegrating Jerome's patches for Debian into Sollya
	Master.  There were serveral regressions induced by Jerome's patch,
	so we should run this commit by Jerome to see if he can integrate
	this commit into Debian, too.

2016-07-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* xml.c: Minor modif to xml.c so as not to perturb our copyright
	helper script.

2016-07-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* libsollyaexample.c: Updated libsollyaexample.c so as to compile.
	We should definitely think of the status of this file before next
	release.

2016-07-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am: Removed lines that have been commented by Jerome
	Benoit.  If they are useless, there is no need to keep them as a
	comment. If they turn out to be useful for some reason, we can
	always revert the change.  Also, I did not remove the carriage
	return introduce by Jerome Benoit in Makefile.am before the
	-version-info flag. I assume he introduced it for some reason (maybe
	to prepare the use of version script?). I wonder why he removed
	$(AM_LDFLAGS) however. I would think we introduced it for some
	reason in the first place. The proof of the pudding is in the
	eating: let us see if we manage to compile everywhere without this
	parameter.

2016-07-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* general.c, parser.y, version.h: Corrected an error introduced in
	previous commit.  Contrary to what one could think at first sight,
	both version messages were not perfectly identical. This led to some
	globbish in the displayed message.  Now, both version messages are
	the same. Also, some indentation problem was introduced in previous
	commit and is now fixed.

2016-07-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* ChangeLog, doc/annotatefunction.shlp, doc/annotatefunction.tex,
	doc/autodiff.shlp, doc/autodiff.tex, doc/chebyshevform.shlp,
	doc/chebyshevform.tex, doc/evaluate.shlp, doc/evaluate.tex,
	doc/implementconstant.shlp, doc/implementconstant.tex,
	doc/rationalapprox.shlp, doc/rationalapprox.tex, doc/remez.shlp,
	doc/remez.tex, doc/return.shlp, doc/return.tex, doc/sollya.pdf,
	doc/sollya.tex, doc/taylor.shlp, doc/taylor.tex,
	doc/taylorform.shlp, doc/taylorform.tex,
	doc/www/annotatefunction.php, doc/www/autodiff.php,
	doc/www/chebyshevform.php, doc/www/evaluate.php,
	doc/www/implementconstant.php, doc/www/rationalapprox.php,
	doc/www/remez.php, doc/www/return.php, doc/www/sollya.php,
	doc/www/taylor.php, doc/www/taylorform.php, help.h: Reported
	spelling corrections into doc source files.  Based on the
	suggestions made by Jerome Benoit for the Debian team on previous
	commits.  We accept all proposed corrections except for ChangeLog
	which is an automatically generated file from the commit messages:
	if there are spelling errors in the commit messages, that is too
	bad, but it is the way it is and there is no reason to change it in
	the generated ChangeLog.

2016-07-04  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya.h: Removed a superfluous function declaration from the
	Sollya library.

2016-07-02  Jerome Benoit <calculus@rezozer.net>

	* sollya.map: upstream-07-autotools-ld_version_script (forgotten
	piece)  Forgotten piece (but essential one) for the previous commit.


2016-07-02  Jerome Benoit <calculus@rezozer.net>

	* Makefile.am, configure.ac, sollya-library-wrappers.c: 
	upstream-07-autotools-ld_version_script  Description: autotools
	machinery: libtoolization: version script support  Provides version
	scripts [1] for the sollya library. Originally the map  (or version
	script) was basically generated from the package header sollya.h
	with the help of cproto(1). Afterwards some functions were renamed
	in view to  used a wildcard in the version scrit in view to ease
	maintenance.  The version script was modified by hand to add some
	timing related functions  used in one of the tests; it is assumed
	that these functions are of usage interest.  Meant to be submitted
	to the upstream maintainer team.  [1]

	https://www.gnu.org/software/gnulib/manual/html_node/LD-Version-Scripts.html Origin: debian Author: Jerome Benoit <calculus@rezozer.net> Last-Update: 2016-06-24

2016-07-02  Jerome Benoit <calculus@rezozer.net>

	* Makefile.am, configure.ac, sollya.h2m: 
	upstream-06-autotools-help2man  Description: autotools machinery:
	help2man  Introduce autotools material to generate on the fly the
	manpage  for the interactive tool sallya; meant to be submitted to
	the  upstream maintainer team. Origin: debian Author: Jerome Benoit
	<calculus@rezozer.net> Last-Update: 2016-06-24

2016-07-02  Jerome Benoit <calculus@rezozer.net>

	* Makefile.am, tests-lib/Makefile.am: 
	upstream-05-autotools-revisit.patch  Description: autotools
	machinery: revisit  Attempt to rationalize the autotools machinery
	to ease maintenance  and further modifications; meant to be
	submitted to the upstream  maintainer team. Origin: debian Author:
	Jerome Benoit <calculus@rezozer.net> Last-Update: 2016-06-24

2016-07-02  Jerome Benoit <calculus@rezozer.net>

	* general.c: upstream-04-source-C2help2man  Description: format
	usages, helps and version material.  Attempt to format and harmonize
	the help message and to introduce a  version message for the sollya
	interactive tool wrt UN*X customs in  view to employ help2man to
	generate a manpage. The `make' and `man'  GNU utilities were taken
	as example. Meant to be submitted to the  upstream maintainer team.
	Origin: debian Author: Jerome Benoit <calculus@rezozer.net>
	Last-Update: 2016-06-24

2016-07-02  Jerome Benoit <calculus@rezozer.net>

	* Makefile.am, general.c, parser.y, version.h: 
	upstream-03-source-version_h  Description: source: version.h header:
	introduce  Gather version information (as displayed through
	--version) in  a unique header file to ease maintenance as help
	materail is  gathered in the dedicated header file help.h ; minor
	spelling  and layout corrections have been performed. Meant to be
	submitted  to the upstream maintainer team. Origin: debian Author:
	Jerome Benoit <calculus@rezozer.net> Last-Update: 2016-06-24

2016-07-02  Jerome Benoit <calculus@rezozer.net>

	* README, assignment.c, assignment.h, autodiff.c, autodiff.h,
	bitfields.c, bitfields.h, chain.c, chain.h, chebyshevform.c,
	chebyshevform.h, chebyshevformaux.c, chebyshevformaux.h, double.c,
	double.h, execute.c, execute.h, expression.c, expression.h,
	external.c, external.h, externalfun.c, externalproc.c,
	fpminimax.cpp, fpminimax.h, general.c, general.h, hash.c, hash.h,
	help.h, hooks.c, hooks.h, implement.c, implement.h,
	implementconst.c, implementconst.h, infnorm.c, infnorm.h,
	integral.c, integral.h, internlexer.l, internparser.y, lexer.l,
	library.c, library.h, libsollyaexample.c, main.c, main.h, match.c,
	match.h, minilexer.l, miniparser.y, mpfi-compat.c, mpfi-compat.h,
	parser.y, plot.c, plot.h, polynomials.c, polynomials.h, printf.c,
	printf.h, proof.c, proof.h, remez.c, remez.h, signalhandling.c,
	signalhandling.h, sollya-library-wrappers.c,
	sollya-library-wrappers.h, sollya-messages.h, sollya-messaging.c,
	sollya-messaging.h, sollya.h, sturm.c, sturm.h, supnorm.c,
	supnorm.h, taylor.c, taylor.h, taylorform.c, taylorform.h,
	tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.reference, worstcase.c, worstcase.h,
	xml.c, xml.h: upstream-02-lintian-spelling-error-silence--massive
	Description: source typo  Correct massively the spelling error
	`automatized' --> `automated'  as reported by lintian in some
	binraries; meant to silence lintian  and eventually to be submitted
	to the upstream maintainer team. Origin: debian Comment:
	spelling-error-in-binary Author: Jerome Benoit
	<calculus@rezozer.net> Last-Update: 2016-06-18

2016-07-02  Jerome Benoit <calculus@rezozer.net>

	* README, assignment.c, assignment.h, autodiff.c, autodiff.h,
	bitfields.c, bitfields.h, chain.c, chain.h, chebyshevform.c,
	chebyshevform.h, chebyshevformaux.c, chebyshevformaux.h, double.c,
	double.h, execute.c, execute.h, expression.c, expression.h,
	external.c, external.h, externalfun.c, externalproc.c,
	fpminimax.cpp, fpminimax.h, general.c, general.h, hash.c, hash.h,
	help.h, hooks.c, hooks.h, implement.c, implement.h,
	implementconst.c, implementconst.h, infnorm.c, infnorm.h,
	integral.c, integral.h, internlexer.l, internparser.y, lexer.l,
	library.c, library.h, libsollyaexample.c, main.c, main.h, match.c,
	match.h, minilexer.l, miniparser.y, mpfi-compat.c, mpfi-compat.h,
	parser.y, plot.c, plot.h, polynomials.c, polynomials.h, printf.c,
	printf.h, proof.c, proof.h, remez.c, remez.h, signalhandling.c,
	signalhandling.h, sollya-library-wrappers.c,
	sollya-library-wrappers.h, sollya-messages.h, sollya-messaging.c,
	sollya-messaging.h, sollya.h, sturm.c, sturm.h, supnorm.c,
	supnorm.h, taylor.c, taylor.h, taylorform.c, taylorform.h,
	tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.reference, worstcase.c, worstcase.h,
	xml.c, xml.h: upstream-01-lintian-spelling-error-silence--massive
	Description: source typo  Correct massively the spelling error
	`particularily' --> `particularly'  as reported by lintian in some
	binraries; meant to silence lintian and  eventually to be submitted
	to the upstream maintainer team. Origin: debian Comment:
	spelling-error-in-binary Author: Jerome Benoit
	<calculus@rezozer.net> Last-Update: 2016-06-18

2016-07-02  Jerome Benoit <calculus@rezozer.net>

	* ChangeLog, chebyshevform.c, double.c, externalfun.c,
	fpminimax.cpp, general.c, help.h, implement.c, infnorm.c,
	library.c, remez.c, sollya-messaging.h, supnorm.c, taylorform.c,
	tests-lib/timplementpoly.c, tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.c, tests-lib/tv_implementpoly.reference,
	worstcase.c: upstream-00-lintian-spelling-error-silence
	Description: source typo  Correct spelling errors as reported by
	lintian in some binraries;  meant to silence lintian and eventually
	to be submitted to the  upstream maintainer team. Origin: debian
	Comment: spelling-error-in-binary Author: Jerome Benoit
	<calculus@rezozer.net> Last-Update: 2016-06-18

2016-06-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/www/sollya.php: Forgot an update of copyright...  PDF and PHP
	are synchronized.

2016-06-14  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tget_element_in_list.c: Made the timing tests for
	tget_element_in_list more robust.

2016-06-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac: Trying to live without the -f option of readlink.

2016-06-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Working on __unique_id

2016-06-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* ChangeLog: New ChangeLog.

2016-06-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/remez.tex,
	doc/sollya.pdf, doc/time.tex, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/remez.php, doc/www/time.php,
	doc/www/timing.php, help.h: Recompiled the documentation.

2016-06-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* README: Slight update of README file

2016-06-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* NEWS, doc/concat.shlp, doc/concat.tex, doc/sollya.pdf,
	doc/www/concat.php, help.h: Modified the doc of "@" to mention its
	usage with external procedures.  Slightly modified the NEWS file.

2016-06-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file

2016-06-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* NEWS: New NEWS file.

2016-06-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf: Recompiled the pdf.

2016-06-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac, doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php,
	general.c, help.h, parser.y: Still some updates of copyrights +
	correction of a bug affecting the string explaining what version of
	fplll is installed.  Also replaced empty lines by a space followed
	by '\n' in help.h, to prevent formatting of the copyright to be
	destroyed each time shlp2txt.sh is run.

2016-06-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* NEWS: Started working on new NEWS file.

2016-06-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: 
	Changed slightly the copyright messages.

2016-06-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* AUTHORS, configure.ac, doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/implementconstant.shlp, doc/implementconstant.tex,
	doc/remez.tex, doc/sollya.pdf, doc/sollya.tex, doc/time.tex,
	doc/timing.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/implementconstant.php, doc/www/remez.php,
	doc/www/sollya.php, doc/www/time.php, doc/www/timing.php,
	general.c, help.h, parser.y, tests-lib/timplementpoly.reference,
	tests-lib/tv_implementpoly.reference: Updated some files with
	respect to the copyright changes. Made the tests pass again.
	Recompiled the documentation.

2016-06-10  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* assignment.c, assignment.h, autodiff.c, chain.c, chain.h,
	doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php, double.c,
	execute.c, execute.h, expression.c, expression.h, fpminimax.cpp,
	general.c, general.h, hash.c, help.h, hooks.c, implement.c,
	implementconst.c, infnorm.c, infnorm.h, internlexer.l,
	internparser.y, lexer.l, library.c, minilexer.l, miniparser.y,
	mpfi-compat.c, mpfi-compat.h, parser.y, plot.c, polynomials.c,
	polynomials.h, printf.c, remez.c, remez.h, signalhandling.c,
	signalhandling.h, sollya-library-wrappers.c, sollya-messages.h,
	sollya-messaging.h, sollya.h, sturm.c, sturm.h, supnorm.c, xml.c: 
	Updated the copyrights

2016-06-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* Makefile.am: Updated version info.

2016-06-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Trying to patch "[#20429] Use of L'Hopital's rule does
	not seem to be as systematic as it should be"

2016-06-07  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check010.sollya, tests-tool/check010.sollya.reference: 
	Non-regression test for bug [#20369] Double-rounding issue with
	round() operator

2016-06-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c: Finally understood and patched the
	complexity problem in get_element_in_list.

2016-06-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c: Patching a memory leak. Trying to
	understand a complexity issue with get_element_in_list.

2016-06-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Working for compiler happiness.

2016-06-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Patched bugs in reimplementation of dup2.

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tget_element_in_list.c: Modified the tests of
	tget_element_in_list in order to avoid calls to gettimeofday

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, tests-lib/tget_element_in_list.c: A small update to the
	timing mechanisms.

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, tests-lib/tget_element_in_list.c: Paved the way for
	removal of gettimeofday in tests.

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac, double.c, external.c, plot.c, printf.c,
	tests-lib/tprintf.c: Removed a warning about _BSD_SOURCE

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Stricter tests for functions and headers tested by
	configure.  Normally Sollya's configure should now abort in pretty
	much every case where we cannot compile.

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* plot.c: Protected a variable declaration.

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* plot.c: Checking for the presence of a header file.

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, general.h, tests-lib/tget_element_in_list.c: Cleaning
	up.

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Removed the check for lib [fl]. On second thought it
	is not clear it is useful

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, external.c, general.c, general.h,
	printf.c: Reimplementing functions when they are not available on
	the system.  Synchronization version.

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* Makefile.am, configure.ac: Following suggestions from libtoolize.


2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* plot.c: Removed an include that seems useless.

2016-06-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Updated configure.ac after suggestions of autoscan

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, general.c: Removed an unused function from the
	configure list.

2016-06-06  Christoph Quirin Lauter <christoph.lauter@lip6.fr>

	* configure.ac: Corrected a mistake in configure.

2016-06-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* signalhandling.c: Added a comment.

2016-06-01  Christoph Quirin Lauter <quirin@kosmos.home>

	* fpminimax.cpp, internlexer.l, lexer.l, minilexer.l,
	mpfi-compat.c, mpfi-compat.h: Patching bugs found on kosmos.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Patching an issue found on fuchs (Raspberry 3)

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, signalhandling.c: Got rid of last warnings on
	Cygwin.

2016-05-31  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tconstruct_function.c,
	tests-lib/tconstruct_function.reference,
	tests-lib/tget_nth_subfunction.c,
	tests-lib/tget_nth_subfunction.reference,
	tests-lib/tv_construct_function.c,
	tests-lib/tv_construct_function.reference: Updated tests for
	construct_function and get_nth_subfunction...  ... so as to reflect
	the new behavior of construct_function with constant pi and to avoid
	possible segfault due to the fact that we do not provide enough
	argument. Also, for get_nth_subfunction, since we now officially
	support to feed it with NULL, the case is now tested.

2016-05-31  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Updated the
	doc  * new behavior of sollya_lib_construct_function with
	SOLLYA_BASE_FUNC_PI * made the section about faithful evaluation
	clearer. In particular, explicitly mention the possibility of using
	sollya_lib_apply.  PDF and Php are checked to be synchronized.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, signalhandling.c: Correcting two small issues.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, signalhandling.c: Working on the signalhandling issue
	on Cygwin.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, signalhandling.c: Starting to work on the sig* issue
	on Cygwin.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Finally solved gettimeofday issue for Cygwin.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, execute.c, general.c, general.h: Trying to solve the
	issue with gettimeofday that we encountered on Cygwin.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, polynomials.c, tests-lib/tprintf.c: Corrected use of
	config.h header.

2016-05-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c: Corrected several mistakes in
	sollya_lib_construct_function  Improved several library functions
	with respect to NULL pointers.

2016-05-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Updated the
	documentation to reflect the recently introduced changes regarding
	subfunctions of pi.

2016-05-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tdecompose_function.reference,
	tests-lib/tget_subfunctions.reference,
	tests-lib/tv_decompose_function.reference,
	tests-lib/tv_get_subfunctions.reference: Fixed tests files after
	Chrsitoph's change of revision 91edf09

2016-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c,
	tests-lib/tget_nth_subfunction.reference: Slightly changed behavior
	of decompose function family concerning pi.

2016-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* chebyshevform.c, execute.c, general.c, signalhandling.c: Working
	around some warnings found on Cygwin.

2016-05-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file.

2016-05-30  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am, tests-lib/tconstruct_function.c,
	tests-lib/tconstruct_function.reference,
	tests-lib/tv_construct_function.c,
	tests-lib/tv_construct_function.reference: Tests for
	sollya_lib_[v]_construct_function.

2016-05-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Documented
	sollya_lib_[v_]construct_function  sollya.tex and sollya.php are
	checked to be synchronized.

2016-05-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am, tests-lib/tget_nth_subfunction.c,
	tests-lib/tget_nth_subfunction.reference: Added tests for
	tget_nth_subfunction  Tests do not pass anymore.

2016-05-27  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Documented
	sollya_lib_get_nth_subfunction

2016-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Working around 1 (sic!) warning found on Cygwin with
	gcc -O3 -Wall -Wextra

2016-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Working around warnings found with gcc, when compiling
	with -O3 -Wall -Wextra

2016-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, polynomials.c, tests-tool/timecheck.sollya: Working
	around warnings and problems found with clang when compiling with
	-O3 -Wall -Wextra

2016-05-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tbuild_function_libraryconstant.c,
	tests-lib/tbuild_function_libraryfunction.c,
	tests-lib/tdecompose_externalprocedure_with_data.c,
	tests-lib/tlibraryconstant.c, tests-lib/tlibraryfunction.c: Working
	around warnings found using a non-free compiler sold by a large
	processor vendor.

2016-05-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* supnorm.c: Working around a warning emitted by clang.

2016-05-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, sollya.h: Some small adjustments to the
	Sollya library interface.

2016-05-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, sollya.h: Removed a function that seems
	to be useless (at least it can be emulated pretty easily). Sylvain
	is the person to blame if this removal was too much doing.

2016-05-26  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file.

2016-05-26  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Documented
	sollya_lib_obj_is_externalprocedure  PDF and PHP are synchronized.

2016-05-26  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am, tests-lib/tis_absolute.c,
	tests-lib/tis_binary.c, tests-lib/tis_decimal.c,
	tests-lib/tis_default.c, tests-lib/tis_double_double_obj.c,
	tests-lib/tis_double_obj.c, tests-lib/tis_doubleextended_obj.c,
	tests-lib/tis_dyadic.c, tests-lib/tis_false.c,
	tests-lib/tis_file.c, tests-lib/tis_fixed.c,
	tests-lib/tis_floating.c, tests-lib/tis_halfprecision_obj.c,
	tests-lib/tis_hexadecimal.c, tests-lib/tis_honorcoeffprec.c,
	tests-lib/tis_off.c, tests-lib/tis_on.c, tests-lib/tis_perturb.c,
	tests-lib/tis_pi.c, tests-lib/tis_postscript.c,
	tests-lib/tis_postscriptfile.c, tests-lib/tis_powers.c,
	tests-lib/tis_quad_obj.c, tests-lib/tis_relative.c,
	tests-lib/tis_round_down.c, tests-lib/tis_round_to_nearest.c,
	tests-lib/tis_round_towards_zero.c, tests-lib/tis_round_up.c,
	tests-lib/tis_single_obj.c, tests-lib/tis_triple_double_obj.c,
	tests-lib/tis_true.c, tests-lib/tis_void.c,
	tests-lib/tobj_is_end_elliptic_list.c, tests-lib/tobj_is_error.c,
	tests-lib/tobj_is_externalprocedure.c,
	tests-lib/tobj_is_externalprocedure.reference,
	tests-lib/tobj_is_function.c, tests-lib/tobj_is_list.c,
	tests-lib/tobj_is_procedure.c, tests-lib/tobj_is_range.c,
	tests-lib/tobj_is_string.c, tests-lib/tobj_is_structure.c: Added
	tests for sollya_lib_obj_is_externalprocedure.

2016-05-25  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.c: Patched a small problem with the deallocation function
	pointers for external procedures, library functions and library
	constants.

2016-05-25  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tcmp_objs_structurally.c,
	tests-lib/tcmp_objs_structurally.reference, tests-tool/Makefile.am,
	tests-tool/check030.sollya, tests-tool/check030.sollya.reference,
	tests-tool/libexternal_structural_cmp.c: Working to make tests run
	on Cygwin again.

2016-05-25  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file

2016-05-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Clarify some
	points of the documentation of sollya_lib_decompose_*_with_data  PHP
	and PDF still synchronized.

2016-05-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tbuild_function_libraryconstant_with_data.c,
	tests-lib/tbuild_function_libraryconstant_with_data.reference,
	tests-lib/tbuild_function_libraryfunction_with_data.c,
	tests-lib/tbuild_function_libraryfunction_with_data.reference,
	tests-lib/tdecompose_externalprocedure_with_data.c,
	tests-lib/tdecompose_externalprocedure_with_data.reference,
	tests-lib/tdecompose_libraryconstant_with_data.c,
	tests-lib/tdecompose_libraryconstant_with_data.reference,
	tests-lib/tdecompose_libraryfunction_with_data.c,
	tests-lib/tdecompose_libraryfunction_with_data.reference,
	tests-lib/texternalprocedure.c,
	tests-lib/texternalprocedure.reference,
	tests-lib/texternalprocedure_with_data.c,
	tests-lib/texternalprocedure_with_data.reference,
	tests-lib/tlibraryconstant_with_data.c,
	tests-lib/tlibraryconstant_with_data.reference,
	tests-lib/tlibraryfunction_with_data.c,
	tests-lib/tlibraryfunction_with_data.reference: Read and completed
	the tests of sollya_lib_*_with_data.  Discovered a bug (therefore
	make check does not pass currently)

2016-05-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/externalproc.shlp, doc/externalproc.tex, doc/shlp2html.sh,
	doc/sollya.pdf, doc/www/externalproc.php, help.h: Small improvements
	to the formatting of the doc of externalproc

2016-05-20  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Resynchronized
	sollya.php and sollya.tex.

2016-05-25  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac: The Cygwin stuff does not work on Linux.

2016-05-25  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, general.c: Some improvements for Cygwin.

2016-05-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* parser.y: Updated help help list.

2016-05-24  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/texternalprocedure_with_data.c: Synchro with Christoph
	in order to debug a problem.

2016-05-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c: Patched a small memory leak.

2016-05-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0: Added an item on the TODO list.

2016-05-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, sollya.h: Corrected a mistake in
	sollya_lib_apply: the construction sollya_lib_apply(procedure, NULL)
	was impossible to use.

2016-05-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Corrected a mistake in the code for rational
	simplifications. Expressions like a/1 now get simplified in all
	cases, independingly of the current precision prec.

2016-05-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Improved printing of fractions with denominator 1.

2016-05-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Patched two small bugs in a recursive function used
	to simplify expressions dirtily.

2016-05-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0: New TODO.

2016-05-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf: For some strange reason sollya.pdf became
	untracked.

2016-05-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0, doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/remez.tex, doc/time.tex,
	doc/timing.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/introExample51.php, doc/www/remez.php, doc/www/time.php,
	doc/www/timing.php, help.h: Recompiled the documentation. Looked at
	the TODOs.

2016-05-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Improved coeff() quite a bit.

2016-05-19  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, tests-tool/Makefile.am,
	tests-tool/{external_structural_cmp.c =>
	libexternal_structural_cmp.c}: Making distributions using
	external_structural_cmp.c in the tools testing work again. I really
	like autohell, it's terribly understandable for humans.

2016-05-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/absolute.tex, doc/accurateinfnorm.tex, doc/and.tex,
	doc/annotatefunction.tex, doc/append.tex, doc/approx.tex,
	doc/asciiplot.tex, doc/autodiff.tex, doc/autosimplify.tex,
	doc/bashevaluate.tex, doc/bashexecute.tex, doc/bind.tex,
	doc/canonical.tex, doc/chebyshevform.tex, doc/checkinfnorm.tex,
	doc/coeff.tex, doc/composepolynomials.tex, doc/concat.tex,
	doc/default.tex, doc/degree.tex, doc/denominator.tex,
	doc/dieonerrormode.tex, doc/diff.tex, doc/dirtyfindzeros.tex,
	doc/dirtyinfnorm.tex, doc/dirtyintegral.tex, doc/dirtysimplify.tex,
	doc/display.tex, doc/divide.tex, doc/double.tex,
	doc/doubledouble.tex, doc/doubleextended.tex, doc/equal.tex,
	doc/error.tex, doc/evaluate.tex, doc/execute.tex, doc/expand.tex,
	doc/exponent.tex, doc/externalplot.tex, doc/externalproc.tex,
	doc/false.tex, doc/file.tex, doc/findzeros.tex, doc/fixed.tex,
	doc/floating.tex, doc/fpminimax.tex, doc/fullparentheses.tex,
	doc/function.tex, doc/ge.tex, doc/getbacktrace.tex,
	doc/getsuppressedmessages.tex, doc/gt.tex, doc/guessdegree.tex,
	doc/halfprecision.tex, doc/head.tex, doc/honorcoeffprec.tex,
	doc/hopitalrecursions.tex, doc/horner.tex, doc/implementpoly.tex,
	doc/in.tex, doc/inf.tex, doc/infnorm.tex, doc/integral.tex,
	doc/isbound.tex, doc/isevaluable.tex, doc/le.tex, doc/length.tex,
	doc/library.tex, doc/libraryconstant.tex, doc/lt.tex,
	doc/mantissa.tex, doc/max.tex, doc/mid.tex, doc/midpointmode.tex,
	doc/min.tex, doc/minus.tex, doc/mult.tex, doc/neq.tex, doc/nop.tex,
	doc/not.tex, doc/numberroots.tex, doc/numerator.tex,
	doc/objectname.tex, doc/off.tex, doc/on.tex, doc/or.tex,
	doc/parse.tex, doc/perturb.tex, doc/pi.tex, doc/plot.tex,
	doc/plus.tex, doc/points.tex, doc/postscript.tex,
	doc/postscriptfile.tex, doc/power.tex, doc/prec.tex,
	doc/precision.tex, doc/prepend.tex, doc/print.tex,
	doc/printdouble.tex, doc/printexpansion.tex, doc/printsingle.tex,
	doc/printxml.tex, doc/proc.tex, doc/procedure.tex, doc/quad.tex,
	doc/quit.tex, doc/rationalapprox.tex, doc/rationalmode.tex,
	doc/rd.tex, doc/readfile.tex, doc/readxml.tex, doc/relative.tex,
	doc/remez.tex, doc/rename.tex, doc/restart.tex, doc/return.tex,
	doc/revert.tex, doc/rn.tex, doc/round.tex,
	doc/roundcoefficients.tex, doc/roundcorrectly.tex,
	doc/roundingwarnings.tex, doc/ru.tex, doc/rz.tex,
	doc/searchgal.tex, doc/shlp2tex.sh, doc/showmessagenumbers.tex,
	doc/simplify.tex, doc/single.tex, doc/sort.tex, doc/subpoly.tex,
	doc/substitute.tex, doc/sup.tex, doc/supnorm.tex,
	doc/suppressmessage.tex, doc/tail.tex, doc/taylor.tex,
	doc/taylorform.tex, doc/taylorrecursions.tex, doc/time.tex,
	doc/timing.tex, doc/tripledouble.tex, doc/true.tex,
	doc/unsuppressmessage.tex, doc/var.tex, doc/verbosity.tex,
	doc/void.tex, doc/worstcase.tex, doc/write.tex,
	doc/xfreevariable.tex: Fixed (somehow) a bug related to the new
	skipping-of-output feature  and recompiled the doc.

2016-05-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/absolute.tex, doc/accurateinfnorm.tex, doc/and.tex,
	doc/annotatefunction.tex, doc/append.tex, doc/approx.tex,
	doc/asciiplot.tex, doc/autodiff.tex, doc/autosimplify.tex,
	doc/bashevaluate.tex, doc/bashexecute.tex, doc/bind.tex,
	doc/canonical.tex, doc/chebyshevform.tex, doc/checkinfnorm.tex,
	doc/coeff.tex, doc/composepolynomials.tex, doc/concat.tex,
	doc/default.tex, doc/degree.tex, doc/denominator.tex,
	doc/dieonerrormode.tex, doc/diff.tex, doc/dirtyfindzeros.tex,
	doc/dirtyinfnorm.tex, doc/dirtyintegral.tex, doc/dirtysimplify.tex,
	doc/display.tex, doc/divide.tex, doc/double.tex,
	doc/doubledouble.tex, doc/doubleextended.tex, doc/equal.tex,
	doc/error.tex, doc/evaluate.tex, doc/execute.tex, doc/expand.tex,
	doc/exponent.tex, doc/externalplot.tex, doc/externalproc.tex,
	doc/false.tex, doc/file.tex, doc/findzeros.tex, doc/fixed.tex,
	doc/floating.tex, doc/fpminimax.tex, doc/fullparentheses.tex,
	doc/function.tex, doc/ge.tex, doc/getbacktrace.tex,
	doc/getsuppressedmessages.tex, doc/gt.tex, doc/guessdegree.tex,
	doc/halfprecision.tex, doc/head.tex, doc/honorcoeffprec.tex,
	doc/hopitalrecursions.tex, doc/horner.tex,
	doc/implementconstant.shlp, doc/implementconstant.tex,
	doc/implementpoly.tex, doc/in.tex, doc/inf.tex, doc/infnorm.tex,
	doc/integral.tex, doc/introExample51.tex, doc/isbound.tex,
	doc/isevaluable.tex, doc/le.tex, doc/length.tex, doc/library.tex,
	doc/libraryconstant.tex, doc/lt.tex, doc/mantissa.tex, doc/max.tex,
	doc/mid.tex, doc/midpointmode.tex, doc/min.tex, doc/minus.tex,
	doc/mult.tex, doc/neq.tex, doc/nop.tex, doc/not.tex,
	doc/numberroots.tex, doc/numerator.tex, doc/objectname.tex,
	doc/off.tex, doc/on.tex, doc/or.tex, doc/parse.tex,
	doc/perturb.tex, doc/pi.tex, doc/plot.tex, doc/plus.tex,
	doc/points.tex, doc/postscript.tex, doc/postscriptfile.tex,
	doc/power.tex, doc/prec.tex, doc/precision.tex, doc/prepend.tex,
	doc/print.tex, doc/printdouble.tex, doc/printexpansion.tex,
	doc/printsingle.tex, doc/printxml.tex, doc/proc.tex,
	doc/procedure.tex, doc/quad.tex, doc/quit.tex,
	doc/rationalapprox.tex, doc/rationalmode.tex, doc/rd.tex,
	doc/readfile.tex, doc/readxml.tex, doc/relative.tex, doc/remez.tex,
	doc/rename.tex, doc/restart.tex, doc/return.tex, doc/revert.tex,
	doc/rn.tex, doc/round.tex, doc/roundcoefficients.tex,
	doc/roundcorrectly.tex, doc/roundingwarnings.tex, doc/ru.tex,
	doc/rz.tex, doc/searchgal.tex, doc/showmessagenumbers.tex,
	doc/simplify.tex, doc/single.tex, doc/sollya.pdf, doc/sort.tex,
	doc/subpoly.tex, doc/substitute.tex, doc/sup.tex, doc/supnorm.tex,
	doc/suppressmessage.tex, doc/tail.tex, doc/taylor.tex,
	doc/taylorform.tex, doc/taylorrecursions.tex, doc/time.tex,
	doc/timing.tex, doc/tripledouble.tex, doc/true.tex,
	doc/unsuppressmessage.tex, doc/var.tex, doc/verbosity.tex,
	doc/void.tex, doc/worstcase.tex, doc/write.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/implementconstant.php, doc/www/introExample51.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php,
	doc/xfreevariable.tex, help.h: Recompiled the doc.

2016-05-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/shlp2txt.sh: Removed support for color in text mode when
	skipping lines of output in examples

2016-05-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/shlp2html.sh, doc/shlp2tex.sh, doc/shlp2txt.sh,
	doc/sollya.tex, doc/www/sollyacss.css: Added support for skipping
	lines of output in the examples of shlp files.  In a #EXAMPLE
	section of a shlp file it is now possible to add a comment of the
	form /* Skip NN */ at the end of a line. The first NN lines of the
	output produced by this specific line will be removed and a warning
	will be displayed explaining that some lines have been removed.
	This feature is quite fragile because of the constraints imposed by
	the Verbatim environment in LaTeX. It will most probably fail if the
	(non removed part of the) output contains one of the characters '\',
	'~' or '|'.

2016-05-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.c: Added missing Sollya keywords to the list in library.c.


2016-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf: recompiled the pdf

2016-05-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0, doc/sollya.tex: Some small modifications on the
	sections about creating library functions/constants and external
	procedures.  Also fixed the "--" bug in the arguments of Sollya
	interactive tool.  Finally, reverted a useless (and possibly
	confusing) change of Christoph in Table 5 "Testing the type of a
	Sollya object"

2016-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0: New TODO file

2016-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0: New TODO file

2016-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/remez.tex, doc/sollya.pdf,
	doc/time.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/introExample51.php, doc/www/remez.php, doc/www/time.php,
	doc/www/timing.php, help.h: Documentation work.

2016-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0, doc/annotatefunction.shlp,
	doc/annotatefunction.tex, doc/bashevaluate.tex,
	doc/bashexecute.tex, doc/externalproc.shlp, doc/externalproc.tex,
	doc/introExample51.tex, doc/remez.tex, doc/sollya.pdf,
	doc/suppressmessage.shlp, doc/suppressmessage.tex, doc/time.tex,
	doc/unsuppressmessage.shlp, doc/unsuppressmessage.tex,
	doc/www/annotatefunction.php, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/externalproc.php,
	doc/www/introExample51.php, doc/www/remez.php,
	doc/www/suppressmessage.php, doc/www/time.php, doc/www/timing.php,
	doc/www/unsuppressmessage.php, help.h: Documentation work.

2016-05-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/CommandsAndFunctions.tex, doc/keywords.def, doc/sollya.pdf,
	doc/www/ListOfCommands.php, doc/www/xfreevariable.php,
	doc/xfreevariable.shlp, doc/xfreevariable.tex, help.h, parser.y: 
	Added an explicit documentation for _x_

2016-05-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0, doc/keywords.def, sollya-library-wrappers.c,
	sollya.h: Removed certain deprecated functions from the Sollya
	library. Sylvain Chevillard, who authorized the removal by phone,
	assumes the full, entire responsability of this removal forever and
	until the end of time.  Added new things to do in the TODO file.

2016-05-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0: Added a list of undocumented functions in the
	Sollya library to the TODO file.

2016-05-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/externalproc.shlp,
	doc/externalproc.tex, doc/implementconstant.shlp,
	doc/implementconstant.tex, doc/implementpoly.shlp,
	doc/implementpoly.tex, doc/introExample51.tex, doc/library.shlp,
	doc/library.tex, doc/libraryconstant.shlp, doc/libraryconstant.tex,
	doc/remez.tex, doc/sollya.pdf, doc/sollya.tex, doc/time.tex,
	doc/timing.tex, doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/externalproc.php, doc/www/implementconstant.php,
	doc/www/implementpoly.php, doc/www/introExample51.php,
	doc/www/library.php, doc/www/libraryconstant.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Documentation work.

2016-05-03  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0, doc/sollya.pdf, doc/sollya.tex,
	doc/www/sollya.php: Modified the order of sections 10.5.*  --> made
	it more logical (useful sections first, less used sections at the
	end) --> and made a new section to document
	sollya_lib_externalprocedure which was actually undocumented.

2016-05-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/Makefile.am, tests-tool/check.proto,
	tests-tool/check030.sollya: Updated some mechanisms concerning
	testing.

2016-04-28  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tobj_is_range.c: Fixed a bad definition of the size of
	an array.  For some obscure reason tobj_is_range had not been fully
	modified as the other files at commit 937a6c3.

2016-04-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore: Updated .gitignore to ignore tobj_is_procedure[.sh]

2016-04-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Updated the
	doc of hash.  * Present cmp_objs_structurally * Better explain
	situations when hashes are equal even though the objects are not
	structurally equal.  PDF and PHP are synchronized.

2016-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file

2016-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am, tests-lib/tis_absolute.c,
	tests-lib/tis_binary.c, tests-lib/tis_decimal.c,
	tests-lib/tis_default.c, tests-lib/tis_double_double_obj.c,
	tests-lib/tis_double_obj.c, tests-lib/tis_doubleextended_obj.c,
	tests-lib/tis_dyadic.c, tests-lib/tis_false.c,
	tests-lib/tis_file.c, tests-lib/tis_fixed.c,
	tests-lib/tis_floating.c, tests-lib/tis_halfprecision_obj.c,
	tests-lib/tis_hexadecimal.c, tests-lib/tis_honorcoeffprec.c,
	tests-lib/tis_off.c, tests-lib/tis_on.c, tests-lib/tis_perturb.c,
	tests-lib/tis_pi.c, tests-lib/tis_postscript.c,
	tests-lib/tis_postscriptfile.c, tests-lib/tis_powers.c,
	tests-lib/tis_quad_obj.c, tests-lib/tis_relative.c,
	tests-lib/tis_round_down.c, tests-lib/tis_round_to_nearest.c,
	tests-lib/tis_round_towards_zero.c, tests-lib/tis_round_up.c,
	tests-lib/tis_single_obj.c, tests-lib/tis_triple_double_obj.c,
	tests-lib/tis_true.c, tests-lib/tis_void.c,
	tests-lib/tobj_is_end_elliptic_list.c, tests-lib/tobj_is_error.c,
	tests-lib/tobj_is_function.c, tests-lib/tobj_is_list.c,
	tests-lib/tobj_is_procedure.c,
	tests-lib/tobj_is_procedure.reference, tests-lib/tobj_is_range.c,
	tests-lib/tobj_is_string.c, tests-lib/tobj_is_structure.c: Added
	test for sollya_lib_tobj_is_procedure

2016-04-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/texternalprocedure_with_data.c: Patching a memory leak
	in a test.

2016-04-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, tests-tool/check014.sollya.reference: Improved
	memory handling in polynomial code.

2016-04-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/timecheck.sollya: Updating time test reference values
	for some systems.

2016-04-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, polynomials.c, polynomials.h: Slightly improved memory
	handling in constants used in polynomials.

2016-04-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Implemented "[#20284] Make == be aware of end-elliptic
	lists"  No non-regression tests have been added. All existing tests
	run through fine; the corresponding behavior hence seems to be
	essentially untested.

2016-04-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Patching a bug in structural comparisons of
	polynomials.

2016-04-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c, tests-tool/check030.sollya,
	tests-tool/check030.sollya.reference: Adding tests for structural
	comparison of polynomials.

2016-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check030.sollya, tests-tool/check030.sollya.reference: 
	Enhanced test for hash and structural comparison following
	Christoph' suggestions

2016-04-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, polynomials.c: Patching a bug with an
	infinite recursion in the hashing of a constant polynomial.

2016-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore, tests-tool/Makefile.am, tests-tool/check030.sollya,
	tests-tool/check030.sollya.reference,
	tests-tool/external_structural_cmp.c: Tests for
	sollya_lib_cmp_objs_structurally and sollya_lib_hash

2016-04-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check030.sollya, tests-tool/check030.sollya.reference: 
	Added a test for annotatefunction.

2016-04-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Tests for objectname.

2016-04-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0, tests-lib/texecute_procedure.c,
	tests-lib/texecute_procedure.reference,
	tests-lib/tv_execute_procedure.c,
	tests-lib/tv_execute_procedure.reference: Added some complementary
	tests for execute_procedure and updated TODO file.

2016-04-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file. execute has been added in
	library mode at dbebb71, documented at b53566d and tests have been
	added at 0af3bce.

2016-04-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file.

2016-04-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check030.sollya, tests-tool/check030.sollya.reference: 
	Changes in the checks for annotatefunction.  Slightly modified the
	code of the tests for on Christoph's demand + added
	roundingwarnings=on.

2016-04-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, infnorm.c, sollya-messages.h, sollya-messaging.h,
	tests-tool/check030.sollya.reference: Improved precision handling in
	evaluation hooks.

2016-04-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added tests for getbacktrace

2016-04-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/getbacktrace.shlp, doc/getbacktrace.tex,
	doc/www/getbacktrace.php, help.h: Fixed a space typo in the doc of
	getbacktrace.

2016-04-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check030.sollya, tests-tool/check030.sollya.reference: 
	Added some additional tests for annotatefunction.  I am not sure
	that everything behaves as expected. To be discussed.

2016-04-06  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file.

2016-03-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Further tests after bug [#20094] NaN comparisons do not work as
	expected.

2016-03-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* autodiff.c, execute.c, execute.h, infnorm.c,
	tests-tool/check030.sollya.reference: Patched the last caching
	problem left with issue [#20071] Using annotatefunction leads to a
	unexpected approximation warning.

2016-03-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/equal.shlp, doc/equal.tex, doc/sollya.pdf, doc/www/equal.php,
	help.h: Updated the doc of == to make it match better reality.

2016-03-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check024.sollya, tests-tool/check024.sollya.reference: 
	Added tests for __unique_id.

2016-03-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Patching "[#20162] __unique_id is not unique".

2016-03-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Corrected a mistake in structural vs. mathematical
	comparisons in constant values.

2016-03-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Slight improvement to code for polynomials.

2016-03-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0, doc/annotatefunction.tex, doc/bashevaluate.tex,
	doc/bashexecute.tex, doc/equal.tex, doc/introExample33.tex,
	doc/introExample51.tex, doc/remez.tex, doc/sollya.pdf,
	doc/time.tex, doc/timing.tex, doc/www/annotatefunction.php,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/equal.php, doc/www/introExample33.php,
	doc/www/introExample51.php, doc/www/remez.php, doc/www/time.php,
	doc/www/timing.php, execute.c, help.h, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: Patching bug [#20094] NaN
	comparisons do not work as expected.  Added a non-regression test.
	Recompiled the documentation as the bug was discovered by reading
	the documentation.

2016-03-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, polynomials.c, polynomials.h,
	tests-tool/check029.sollya.reference: Improved structural
	comparison. Made hexadecimal printing compatible with a strict
	interpretation of the C99 standard.

2016-02-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, expression.h, polynomials.c, polynomials.h,
	sollya-library-wrappers.c: Some improvements to structural
	comparison.

2016-02-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Improved evaluation with hooks a little bit.

2016-02-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference,
	tests-tool/timecheck.sollya: Improved testing.

2016-02-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: Patching bug "[#20071] Using
	annotatefunction leads to a unexpected approximation warning."  A
	non-regression test has been added.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Updated TODO file

2016-02-23  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/annotatefunction.shlp, doc/annotatefunction.tex,
	doc/www/annotatefunction.php, help.h: Slight modification in the doc
	of annotatefunction.

2016-02-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/getbacktrace.shlp, doc/getbacktrace.tex, doc/sollya.pdf,
	doc/www/getbacktrace.php, execute.c, help.h,
	tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Patched bug [#20070] getbacktrace does not conform to its
	documentation  Non regression tests have been added.

2016-02-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/annotatefunction.shlp, doc/annotatefunction.tex,
	doc/getbacktrace.shlp, doc/getbacktrace.tex, doc/objectname.shlp,
	doc/objectname.tex, doc/sollya.pdf, doc/www/annotatefunction.php,
	doc/www/getbacktrace.php, doc/www/objectname.php, help.h: Attempt to
	enhance the doc of annotatefunction, getbacktrace and objectname

2016-02-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/shlp2html.sh, doc/shlp2tex.sh, doc/shlp2txt.sh: Corrected a
	bug in shlp2* scripts  When simulating an example whose code
	contains escaped characters such as '\n' or '\"', the string was
	evaluated which was of course not intended. As a result, in some
	case, the output of the simulation was wrong.  This should now be
	fixed. After checking, the only file related to the bug was
	objectname.shlp (which was the file that made me discover the bug).


2016-02-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Updated the doc about hashes.


2016-02-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Small precisions in the
	documentation of __unique_id.

2016-02-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Updated the doc for accounting
	changes in sollya_lib_printlibrarymessage.  PHP and PDF are checked
	to be synchronized.

2016-02-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/annotatefunction.shlp, doc/annotatefunction.tex,
	doc/sollya.pdf, doc/www/annotatefunction.php, help.h: Improved
	documentation for annotatefunction.

2016-02-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* remez.c, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: Patched bug [#14451]
	guessdegree has a strange behavior on point intervals  A non
	regression test has been added.

2016-02-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added a non regression test for bug [#17196] Inconsistent behavior
	of evaluate  The bug was already patched with commit
	9f9d12d3dd8d7a5a058545350402973155159f3f

2016-02-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added a non regression test for bug [#7085] Rounding to simple value
	with infinity overflow is wrong.

2016-02-22  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php,
	sollya-library-wrappers.c: Reworked removal of init functions with
	arguments. Removed corresponding sections in documentation.

2016-02-19  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, general.h, sollya-library-wrappers.c, sollya.h,
	tests-lib/Makefile.am, tests-lib/tinit_with_arguments.c,
	tests-lib/tinit_with_arguments.reference,
	tests-lib/tinit_with_custom_memory_functions_with_arguments.c,
	tests-lib/tinit_with_custom_memory_functions_with_arguments.referen
	ce: Changed some of the library functions after discussion with
	Sylvain.

2016-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: A typo in the doc +
	unification of the way we reference sections in the php doc

2016-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Typos in the doc.  PHP and PDF
	stay synchronized.

2016-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac, tests-lib/check.proto: Final form for the special
	printf test on systems like Ubuntu.  Should finally fix bug
	[#17198].

2016-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/check.proto, tests-lib/tprintf.c: Attempt to make
	tprintf skipped on systems like Ubuntu   --> those systems that
	consider that a %n in a malloced string is dangerous

2016-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Slightly improved what is displayed in the test of
	%n

2016-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Add a #define for systems like Ubuntu that do not
	allow %n in malloced strings.

2016-02-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tend_elliptic_list.c, tests-lib/tlist.c: Working against
	compiler bugs.

2016-02-17  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Changed a
	little bit the way sollya_lib_decompose_*_with_data are displayed in
	the doc.  Also recompiled the doc. PDF and PHP are still checked to
	be synchronized.

2016-02-17  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/www/help.php, doc/www/sollya.php: Made php doc compliant with
	W3C standards (HTML and CSS).

2016-02-17  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.tex, doc/www/sollya.php: Checked the doc in tex and php
	format.  Also unified the use of a initial capital letter in the
	word "section" when referring to a given section.  sollya.tex and
	sollya.php are now checked to be synchronized.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/tend_elliptic_list.c, tests-lib/tlist.c,
	tests-lib/tprintdouble.c, tests-lib/tprintf.c,
	tests-lib/tprintsingle.c: Removing some warnings in the compilation
	of the library tests.

2016-02-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* printf.c: Validating the commit
	55d14a9807223f0088458dd46bc8736e27ed3b5d and unifying the code.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/Makefile.am, tests-tool/check.proto: Patched a problem
	occuring with VPATH builds.  The *.output generated files used to
	contaminate the source directory.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* sollya-library-wrappers.c: Patched a warning.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* infnorm.c, printf.c: Patched some warning issues. Double-checking
	would be good.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* chain.c: Removed some warnings.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added non regression tests for bug [#19925]

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added non regression test for bug [#20056]

2016-02-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Worked around a problem seen in the tests on Cygwin that produces
	false negatives.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check018.sollya, tests-tool/check018.sollya.reference: 
	Update check018 so as to work even on systems with small memory.

2016-02-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore: Updated .gitignore to ignore new test files of the
	lib.

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Attempt to remove a warning when compiling under
	Ubuntu.  Namely, on Ubuntu, I got the following warning:   ar: `u'
	modifier ignored since `D' is the default (see `U')  Accroding to
	the discussion on the following thread

	http://gnu-automake.7480.n7.nabble.com/bug-20082-new-warning-from-ar-on-rawhide-systems-td21769.html on the mailing list of automake, a safe patch seems to simply and manually set ar flags to 'cr' which I believe I do with this patch.  Compiles without a warning on Ubuntu and my Fedora.

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* internlexer.l, lexer.l, minilexer.l: Proposition for  finally
	patching the "unused parameter" warning with Flex.  I base my patch
	on

	http://flex.sourceforge.net/manual/Overriding-The-Default-Memory-Management.html It seems to work.

2016-02-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* TODO_sollya5.0: Removed a point on the TODO list

2016-02-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added a non-regression test for the bug patched with commit
	bc748a402983af1c2b72e7faabc5c3344e2013cf

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Update TODO_sollya5.0 after this morning work.

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* README, configure.ac: Updated --enable-strict-lexer-parser-check
	tests in order to check for recent enough versions of bison.  Also
	updated README so as to inform the user about what version of Bison
	is officially supported.

2016-02-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Added support code for systems without mp_bitcnt_t.


2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: Update of TODO list.

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check029.sollya, tests-tool/check029.sollya.reference: 
	Added non-regression test for [#19666]

2016-02-15  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* remez.c: Adding an information message in a case of bisection in
	Newton's algorithm.

2016-02-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/dirtyfindzeros.shlp, doc/dirtyfindzeros.tex, doc/sollya.pdf,
	doc/www/dirtyfindzeros.php, help.h: Added a phrase in the
	documentation that describes a case when dirtyfindzeros may return
	the same value twice.  This is related to the bug [#11967]
	dirtyfindzeros returns the same zero twice

2016-02-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check013.sollya, tests-tool/check013.sollya.reference: 
	Added non-regression tests for [#18992]

2016-02-10  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check013.sollya, tests-tool/check013.sollya.reference: 
	Corrected some mistakes in the test introduced by Mioara related to
	bug [#7216].  The reference is still to be double-checked.

2016-02-10  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Changed configure.ac so as to ensure that the
	version of MPFR is >= 3.0.0  Indeed we check that mpfr_set_z_2exp is
	available because it is required in polynomials.c. This function has
	appeared with MPFR 3.0.0

2016-02-09  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Patched a very subtle bug in the way the custom memory
	functions are handled.

2016-02-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.c: Patching a bug in displaying of external objects with
	data fields.

2016-02-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac: Making things work again under Debian.

2016-02-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, tests-lib/libraryexample.c: Tried to patch problem
	in libraryexample when compiling for Cygwin.

2016-02-08  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* TODO_sollya5.0: TODO file for releasing 5.0.

2016-02-05  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac, tests-lib/Makefile.am: Attempt to fix a bug
	introduced with the patch of bug [#17197]  When mpfi was not
	available on a system-wise basis, but only on a prefix, the patch
	proposed at rev 2dc3e48 prevents the user from compiling
	libraryexample and aborts the checks of the lib.

2016-02-05  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, polynomials.c: Trying to make Sollya work with old
	versions of GMP that do not have mp_bitcnt_t.

2016-02-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, hash.c, printf.c, tests-lib/libraryexample.c,
	tests-lib/tbuild_function_libraryconstant_with_data.c,
	tests-lib/tbuild_function_libraryfunction_with_data.c,
	tests-lib/tdecompose_externalprocedure.c,
	tests-lib/tdecompose_externalprocedure_with_data.c,
	tests-lib/tdecompose_libraryconstant_with_data.c,
	tests-lib/tdecompose_libraryfunction_with_data.c,
	tests-lib/tlibraryconstant_with_data.c,
	tests-lib/tlibraryfunction_with_data.c: Working against compiler
	warnings.

2016-02-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.c: Updated list of reserved keywords. This list should be
	double-checked by someone else at some point.

2016-02-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* configure.ac, expression.h: Removed legacy support to compile
	Sollya without support for memory references.

2016-02-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/CommandsAndFunctions.tex, doc/getbacktrace.shlp,
	doc/getbacktrace.tex, doc/keywords.def, doc/objectname.shlp,
	doc/objectname.tex, doc/sollya.pdf, doc/www/ListOfCommands.php,
	doc/www/getbacktrace.php, doc/www/objectname.php, help.h: Documented
	objectname.

2016-01-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/display.tex,
	doc/introExample51.tex, doc/print.tex, doc/remez.tex,
	doc/sollya.pdf, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/display.php, doc/www/introExample51.php, doc/www/print.php,
	doc/www/remez.php, doc/www/time.php, doc/www/timing.php, help.h: 
	Recompiled the documentation.

2016-01-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* sturm.c, tests-lib/tnumberroots.c,
	tests-lib/tnumberroots.reference,
	tests-tool/check013.sollya.reference: Patching "[#19976] A warning
	message is displayed at verbosity level 1 but does not endanger
	safety"

2016-01-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, tests-lib/tprintf.reference,
	tests-tool/check002.sollya.reference,
	tests-tool/check008.sollya.reference: Hexadecimal display mode:
	implemented the consistant behavior specified in the tracker #19925
	Convention used for hexadecimal display.

2015-12-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, expression.h, infnorm.c: Added some additional
	checks before applying Taylor interval evaluation.

2015-12-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, general.h, sollya-library-wrappers.c, sollya.h: Added
	Sollya library initialization functions with an additional argument
	to circumvent some of GMP's memory management behavior in a Sage
	binding for Sollya.

2015-12-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* external.c, plot.c: Improved handling of temporary plot files in
	plot and externalplot.

2015-12-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Revert "Made plot files be removed unconditionnally."
	This reverts commit 3c42b090bb9953c5cc8fd590d96bebec97eb1a9d.

2015-11-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Made plot files be removed unconditionnally.

2015-11-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Patched a bug when calling fpminimax.

2015-11-20  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* execute.c, tests-tool/check029.sollya,
	tests-tool/check029.sollya.reference: Patched a segfault bug in
	fpminimax.

2015-11-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/CommandsAndFunctions.tex, doc/bashevaluate.tex,
	doc/bashexecute.tex, doc/concat.shlp, doc/concat.tex,
	doc/getbacktrace.shlp, doc/getbacktrace.tex, doc/keywords.def,
	doc/proc.shlp, doc/proc.tex, doc/procedure.shlp, doc/procedure.tex,
	doc/remez.tex, doc/sollya.pdf, doc/time.tex,
	doc/www/ListOfCommands.php, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/concat.php,
	doc/www/getbacktrace.php, doc/www/proc.php, doc/www/remez.php,
	doc/www/time.php, doc/www/timing.php, help.h: Documentation work.

2015-11-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex, doc/externalproc.shlp,
	doc/externalproc.tex, doc/library.shlp, doc/library.tex,
	doc/libraryconstant.shlp, doc/libraryconstant.tex, doc/remez.tex,
	doc/sollya.pdf, doc/sollya.tex, doc/time.tex, doc/timing.tex,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/externalproc.php, doc/www/library.php,
	doc/www/libraryconstant.php, doc/www/remez.php, doc/www/sollya.php,
	doc/www/time.php, help.h: Some documentation work.

2015-11-11  Marc Mezzarobba <marc@mezzarobba.net>

	* sollya.h: "Strict prototypes" in sollya.h  Make it possible to
	build modules that include sollya.h with -Wstrict-prototypes.

2015-11-19  Marc Mezzarobba <marc@mezzarobba.net>

	* expression.c: Missing break;

2015-11-18  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Added support for application of lists as arguments to
	external procedures using '@'.

2015-11-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, library.c, library.h,
	sollya-library-wrappers.c, sollya.h,
	tests-lib/tbuild_function_libraryconstant_with_data.c,
	tests-lib/tbuild_function_libraryfunction_with_data.c,
	tests-lib/tdecompose_externalprocedure_with_data.c,
	tests-lib/tdecompose_externalprocedure_with_data.reference,
	tests-lib/tdecompose_libraryconstant_with_data.c,
	tests-lib/tdecompose_libraryconstant_with_data.reference,
	tests-lib/tdecompose_libraryfunction_with_data.c,
	tests-lib/tdecompose_libraryfunction_with_data.reference,
	tests-lib/texternalprocedure_with_data.c,
	tests-lib/tlibraryconstant_with_data.c,
	tests-lib/tlibraryfunction_with_data.c: Added deallocator to
	external functions, constants and libraries when they come with a
	data field.  Added some support functions for the Python binding.

2015-11-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.h: Forgotten file.

2015-11-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.c, sollya-library-wrappers.c, sollya.h,
	tests-lib/tdecompose_function.reference,
	tests-lib/tget_subfunctions.reference,
	tests-lib/tv_decompose_function.reference,
	tests-lib/tv_get_subfunctions.reference: Added additional functions
	required for the Python binding.  The functions are currently
	untested.

2015-11-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/www/sollya.php: Stupid typo in the php file.

2015-11-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Corrected a
	typo in the doc + added the case of a BASE_FUNC_CONSTANT in
	decompose_function

2015-11-16  Marc Mezzarobba <marc@mezzarobba.net>

	* doc/sollya.pdf, doc/sollya.tex: tex preamble

2015-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/introExample51.tex, doc/remez.tex, doc/sollya.pdf,
	doc/time.tex, doc/timing.tex, doc/www/bashevaluate.php,
	doc/www/bashexecute.php, doc/www/introExample51.php,
	doc/www/remez.php, doc/www/time.php, help.h: Recompiled the
	documentation.

2015-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am,
	tests-lib/tdecompose_externalprocedure_with_data.c,
	tests-lib/tdecompose_externalprocedure_with_data.reference,
	tests-lib/texternalprocedure.c,
	tests-lib/texternalprocedure_with_data.c,
	tests-lib/texternalprocedure_with_data.reference: Added tests for
	external procedures with a data field. Corrected a memory leak in a
	test.

2015-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am,
	tests-lib/tbuild_function_libraryconstant_with_data.c,
	tests-lib/tbuild_function_libraryconstant_with_data.reference,
	tests-lib/tdecompose_libraryconstant_with_data.c,
	tests-lib/tdecompose_libraryconstant_with_data.reference,
	tests-lib/tlibraryconstant_with_data.c,
	tests-lib/tlibraryconstant_with_data.reference: Added tests for
	library constants with a data field.

2015-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am,
	tests-lib/tbuild_function_libraryfunction_with_data.c,
	tests-lib/tbuild_function_libraryfunction_with_data.reference,
	tests-lib/tdecompose_libraryfunction_with_data.c,
	tests-lib/tdecompose_libraryfunction_with_data.reference,
	tests-lib/tlibraryfunction_with_data.c,
	tests-lib/tlibraryfunction_with_data.reference: Testing for library
	functions with data field.

2015-09-23  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php,
	sollya-library-wrappers.c, sollya.h: Documented sollya_lib_hash.
	Added stupid wrapper for evaluation 'at Sollya object'.

2015-09-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check020.sollya, tests-tool/check020.sollya.reference: 
	Corrected the test introduced at revision 2c93e1a to make it
	independent of the version of MPFR used.

2015-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am, tests-lib/libraryexample.c,
	tests-lib/tdecompose_externalprocedure.c,
	tests-lib/tdecompose_externalprocedure.reference: Added tests for
	sollya_lib_decompose_externalprocedure.

2015-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Preparing a custom interface for the SAGE wrapper.

2015-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/texternalprocedure.c,
	tests-lib/texternalprocedure.reference: Made the test for
	sollya_lib_externalprocedure platform-independent.

2015-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Again
	documentation work.

2015-09-17  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/annotatefunction.tex, doc/approx.tex, doc/asciiplot.tex,
	doc/autodiff.tex, doc/bashevaluate.tex, doc/bashexecute.tex,
	doc/boolean.shlp, doc/boolean.tex, doc/chebyshevform.tex,
	doc/composepolynomials.tex, doc/constant.shlp, doc/constant.tex,
	doc/dirtyfindzeros.tex, doc/dirtyinfnorm.tex,
	doc/dirtyintegral.tex, doc/dirtysimplify.tex, doc/divide.tex,
	doc/doubledouble.tex, doc/doubleextended.tex, doc/evaluate.tex,
	doc/externalproc.shlp, doc/externalproc.tex, doc/floating.tex,
	doc/fpminimax.tex, doc/function.shlp, doc/function.tex,
	doc/guessdegree.tex, doc/hopitalrecursions.tex,
	doc/implementconstant.tex, doc/implementpoly.tex, doc/infnorm.tex,
	doc/integer.shlp, doc/integer.tex, doc/integral.tex,
	doc/introExample10.tex, doc/introExample12.tex,
	doc/introExample15.tex, doc/introExample17.tex,
	doc/introExample27.tex, doc/introExample32.tex,
	doc/introExample33.tex, doc/introExample38.tex,
	doc/introExample39.tex, doc/introExample40.tex,
	doc/introExample42.tex, doc/introExample43.tex,
	doc/introExample46.tex, doc/introExample51.tex,
	doc/introExample57.tex, doc/introExample8.tex, doc/isevaluable.tex,
	doc/length.tex, doc/library.shlp, doc/library.tex,
	doc/libraryconstant.shlp, doc/libraryconstant.tex, doc/listof.shlp,
	doc/listof.tex, doc/max.tex, doc/object.shlp, doc/object.tex,
	doc/pi.tex, doc/points.tex, doc/power.tex, doc/print.tex,
	doc/range.shlp, doc/range.tex, doc/rationalmode.tex, doc/remez.tex,
	doc/roundcorrectly.tex, doc/searchgal.tex,
	doc/showmessagenumbers.tex, doc/sollya.pdf, doc/sollya.tex,
	doc/string.shlp, doc/string.tex, doc/subpoly.tex,
	doc/suppressmessage.tex, doc/taylorform.tex, doc/time.tex,
	doc/timing.tex, doc/tripledouble.tex, doc/unsuppressmessage.tex,
	doc/verbosity.tex, doc/void.shlp, doc/void.tex,
	doc/www/annotatefunction.php, doc/www/approx.php,
	doc/www/asciiplot.php, doc/www/autodiff.php,
	doc/www/bashevaluate.php, doc/www/bashexecute.php,
	doc/www/boolean.php, doc/www/chebyshevform.php,
	doc/www/composepolynomials.php, doc/www/constant.php,
	doc/www/dirtyfindzeros.php, doc/www/dirtyinfnorm.php,
	doc/www/dirtyintegral.php, doc/www/dirtysimplify.php,
	doc/www/divide.php, doc/www/doubledouble.php,
	doc/www/doubleextended.php, doc/www/evaluate.php,
	doc/www/externalproc.php, doc/www/floating.php,
	doc/www/fpminimax.php, doc/www/function.php,
	doc/www/guessdegree.php, doc/www/hopitalrecursions.php,
	doc/www/implementconstant.php, doc/www/implementpoly.php,
	doc/www/infnorm.php, doc/www/integer.php, doc/www/integral.php,
	doc/www/introExample10.php, doc/www/introExample12.php,
	doc/www/introExample15.php, doc/www/introExample17.php,
	doc/www/introExample27.php, doc/www/introExample32.php,
	doc/www/introExample33.php, doc/www/introExample38.php,
	doc/www/introExample39.php, doc/www/introExample40.php,
	doc/www/introExample42.php, doc/www/introExample43.php,
	doc/www/introExample46.php, doc/www/introExample51.php,
	doc/www/introExample57.php, doc/www/introExample8.php,
	doc/www/isevaluable.php, doc/www/length.php, doc/www/library.php,
	doc/www/libraryconstant.php, doc/www/listof.php, doc/www/max.php,
	doc/www/object.php, doc/www/pi.php, doc/www/points.php,
	doc/www/power.php, doc/www/print.php, doc/www/range.php,
	doc/www/rationalmode.php, doc/www/remez.php,
	doc/www/roundcorrectly.php, doc/www/searchgal.php,
	doc/www/showmessagenumbers.php, doc/www/string.php,
	doc/www/subpoly.php, doc/www/suppressmessage.php,
	doc/www/taylorform.php, doc/www/time.php, doc/www/timing.php,
	doc/www/tripledouble.php, doc/www/unsuppressmessage.php,
	doc/www/verbosity.php, doc/www/void.php, help.h: Some documentation
	work.

2015-09-16  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check020.sollya, tests-tool/check020.sollya.reference: 
	Added a non-regression test for the bug fixed at rev 9f9d12d.  See
	the comment in check020.sollya for more details about the history of
	this bug and the reason why this non-regression test is added only
	now and not before.

2015-09-16  Christoph Lauter <christoph.lauter@lip6.fr>

	* library.h, sollya-library-wrappers.c, sollya.h: Finished
	implementation work on extending the Sollya library for
	externalprocedures, libraryfunctions and libraryconstants.  Testing
	and documentation work is still required.

2015-09-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* autodiff.c, execute.c, expression.c, infnorm.c, library.c,
	library.h, sollya-library-wrappers.c, sollya.h,
	tests-lib/texternalprocedure.c,
	tests-lib/texternalprocedure.reference: Some progress with data
	field support for external procedures, library functions and library
	constants.

2015-09-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* hash.c, tests-lib/thash.c, tests-lib/thash.reference: Better
	hashes.

2015-09-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* assignment.c, execute.c, execute.h, expression.c, hash.c, hash.h,
	polynomials.c, polynomials.h, sollya-library-wrappers.c, sollya.h,
	tests-lib/Makefile.am, tests-lib/thash.c, tests-lib/thash.reference: 
	Finished work on the hashing function for the Sollya library.

2015-09-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, execute.h, expression.h, general.c, general.h, hash.c,
	hash.h, library.c, library.h, sollya-library-wrappers.c, sollya.h,
	tests-lib/Makefile.am, tests-lib/texternalprocedure.c,
	tests-lib/texternalprocedure.reference: Added a way to bind external
	procedures to Sollya in library mode. Started working on a hashing
	function for Sollya Objects.

2015-09-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Patched a small bug in 'round'.

2015-09-10  Christoph Lauter <christoph.lauter@lip6.fr>

	* Makefile.am, hash.c, hash.h: Started working on providing a
	hashing function in the Sollya library.

2015-09-09  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c: Added a small additional check on the
	sollya_lib_init* functions to avoid double initializations.

2015-05-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, infnorm.c, polynomials.c, sollya-messages.h,
	sollya-messaging.h, tests-tool/check001.sollya.reference: Adressing
	bug [#18992] degree returns -1 instead of the degree without any
	warning.  This commit changes the reference behavior of degree(0/x)
	to yield 0, as the reason given at commit
	5029f0ed4e75bdee04c7b979030405e883ea30d2 is no longer true, because
	Sollya is now able to perform such simplifications.

2015-05-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, external.c: Avoiding compiler warnings.

2015-05-22  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Fixed deprecated == syntax in configure.ac tests
	(replaced it by =)

2015-05-21  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* expression.c: Added a missing header.  For some reason, on my
	computer, the fact that inttypes.h is not included before mpfr.h
	results in mpfr.h not declaring mpfr_get_sj.

2015-05-19  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am: A comment about the line AM_CPPFLAGS =
	-I$(top_srcdir) introduced @2dc3e48ebc

2015-05-13  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, tests-lib/tappend.reference,
	tests-lib/tcheckinfnorm.reference, tests-lib/tcmp_equal.reference,
	tests-lib/tcmp_greater.reference,
	tests-lib/tcmp_greater_equal.reference,
	tests-lib/tcmp_in.reference, tests-lib/tcmp_less.reference,
	tests-lib/tcmp_less_equal.reference,
	tests-lib/tcmp_not_equal.reference,
	tests-lib/tconstant_from_double.reference,
	tests-lib/tdirtyinfnorm.reference,
	tests-lib/tdirtyintegral.reference,
	tests-lib/tdirtysimplify.reference,
	tests-lib/tevaluate_function_at_constant_expression.reference,
	tests-lib/tevaluate_function_at_point.reference,
	tests-lib/texecute.reference,
	tests-lib/tget_bounds_from_range.reference,
	tests-lib/tget_constant_as_double.reference,
	tests-lib/tget_constant_as_int.reference,
	tests-lib/tget_constant_as_int64.reference,
	tests-lib/tget_constant_as_mpq.reference,
	tests-lib/tget_constant_as_mpz.reference,
	tests-lib/tget_constant_as_uint64.reference,
	tests-lib/tget_interval_from_range.reference,
	tests-lib/tinf.reference, tests-lib/tintegral.reference,
	tests-lib/tinterval_list_ops.reference,
	tests-lib/tlength.reference, tests-lib/tmax.reference,
	tests-lib/tmid.reference, tests-lib/tmin.reference,
	tests-lib/tnumberroots.reference, tests-lib/tprecision.reference,
	tests-lib/tprepend.reference,
	tests-lib/tprocedurefunction.reference,
	tests-lib/trange_from_bounds.reference,
	tests-lib/trange_from_interval.reference,
	tests-lib/tsearchgal.reference, tests-lib/tsup.reference,
	tests-lib/tv_max.reference, tests-lib/tv_min.reference,
	tests-tool/check001.sollya.reference,
	tests-tool/check002.sollya.reference,
	tests-tool/check003.sollya.reference,
	tests-tool/check004.sollya.reference,
	tests-tool/check005.sollya.reference,
	tests-tool/check007.sollya.reference,
	tests-tool/check008.sollya.reference,
	tests-tool/check009.sollya.reference,
	tests-tool/check010.sollya.reference,
	tests-tool/check011.sollya.reference,
	tests-tool/check012.sollya.reference,
	tests-tool/check013.sollya.reference,
	tests-tool/check014.sollya.reference,
	tests-tool/check015.sollya.reference,
	tests-tool/check016.sollya.reference,
	tests-tool/check018.sollya.reference,
	tests-tool/check019.sollya.reference,
	tests-tool/check021.sollya.reference,
	tests-tool/check022.sollya.reference,
	tests-tool/check025.sollya.reference,
	tests-tool/check027.sollya.reference,
	tests-tool/check028.sollya.reference,
	tests-tool/check030.sollya.reference: Trying to fix the bug
	'[#12665] The practical complexity of decimal display is very bad'.


2015-05-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-lib/Makefile.am, tests-lib/check.proto,
	tests-tool/Makefile.am: Attempt to include the patch proposed by
	Jeff Arnold regarding bug #17197

2015-05-11  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check027.sollya, tests-tool/check027.sollya.reference: 
	Non regression test for bug #18940.

2015-05-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Correcting a small bug consisting in a superfluous
	warning message.

2015-05-08  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, external.c, general.c, general.h, implement.c,
	internlexer.l, lexer.l, minilexer.l, printf.c, signalhandling.c,
	signalhandling.h: Trying to improve the situation with respect to
	that f**g stupid 'contact with Houston lost' issue.

2015-05-07  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c: Improved terminal handling.

2015-03-12  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* tests-tool/check016.sollya, tests-tool/check016.sollya.reference: 
	Added non regression test for [#18746] Bug with pattern matching

2015-03-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c: Patching "#18746 Bug with pattern matching".  No
	regression test added, yet.

2015-03-06  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, sollya-messages.h, sollya-messaging.h,
	tests-lib/tget_bounds_from_range.c,
	tests-lib/tget_interval_from_range.c,
	tests-tool/check001.sollya.reference: Corrected a bug in a precision
	value displayed in a warning message and unified warning messages
	displayed for evaluation of ranges. All messages now make clear that
	the inclusion property is satisfied.

2015-03-04  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/proc.shlp, doc/proc.tex, doc/sollya.pdf, doc/www/proc.php,
	help.h: Corrected a typo in the doc of proc.

2015-02-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tinit_with_custom_memory_functions_with_arguments.c,
	tests-lib/tinit_with_custom_memory_functions_with_arguments.referen
	ce: Finished testing of new functions in this branch
	libraryExtensions.

2015-02-19  Christoph Lauter <christoph.lauter@lip6.fr>

	* implementconst.c: Removing a double definition of the same
	function. The two definitions are not 100% equivalent, so I maintain
	both of them; while renaming the less often used one.

2015-02-18  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* infnorm.c, infnorm.h: Removed the implementation of
	sollya_mpfi_equal_p in infnorm.c  The same function is already
	implemented in mpfi-compat.c

2015-02-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* configure.ac: Corrected kind of a bug in configure when using
	--with-package without argument  When --with-package is given to
	configure without any "=something" argument, the value of the
	argument defaults to "yes" which is non-sense in the purpose with
	which we use the --with-package option when configuring Sollya.
	Moreover, the extra "-Lyes" produced by configure in this case turns
	out to be a problem at compile time (though not at configure time)
	because libtool seems to be extra careful about it and checks that
	the directory given as argument of "-L" indeed exists.  This commit
	patch this behavior by simply ignoring the --with-package directive
	when no argument or an empty argument is given.

2015-02-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* doc/fpminimax.shlp, doc/fpminimax.tex, doc/sollya.pdf,
	doc/www/fpminimax.php, help.h: * Corrected a typo in the doc of
	fpminimax (thx G. Revy for reporting it)

2015-02-13  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore: * Modified .gitignore so as to hide tests files.

2015-02-12  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/sollya.pdf, doc/sollya.tex, doc/www/sollya.php: Corrected a
	bug in *.tex version and reported changes in *.tex version into
	*.php version. To be checked.

2015-02-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tinit_with_arguments.c: Improving the way to code a
	constant.

2015-02-11  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tinit_with_arguments.c,
	tests-lib/tinit_with_arguments.reference: Added testing for
	sollya_lib_init_with_arguments().

2015-02-02  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/texecute_procedure.c,
	tests-lib/texecute_procedure.reference,
	tests-lib/tv_execute_procedure.c,
	tests-lib/tv_execute_procedure.reference: Added tests for
	sollya_lib_execute_procedure and sollya_lib_v_execute_procedure.

2015-01-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/texecute.c, tests-lib/texecute.reference: Adding a test
	for sollya_lib_execute().

2015-01-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/Makefile.am, tests-lib/texecute.c,
	tests-lib/texecute.reference, tests-lib/texecute_procedure.c,
	tests-lib/texecute_procedure.reference,
	tests-lib/tinit_with_arguments.c,
	tests-lib/tinit_with_arguments.reference,
	tests-lib/tinit_with_custom_memory_functions_with_arguments.c,
	tests-lib/tinit_with_custom_memory_functions_with_arguments.referen
	ce, tests-lib/tv_execute_procedure.c,
	tests-lib/tv_execute_procedure.reference: Starting work on testing
	for the new library functions.

2015-01-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* doc/execute.shlp, doc/execute.tex, doc/sollya.pdf,
	doc/sollya.tex, doc/www/execute.php, help.h: Some documentation
	work. The new texts in sollya.tex still need to be reported into
	sollya.php

2015-01-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, expression.h: Improving repeated
	hornerization of expressions.

2015-01-21  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Patching memory allocation problems.

2015-01-20  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, infnorm.c, polynomials.c,
	tests-tool/timecheck.sollya: Patching memory leaks.

2015-01-14  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Trying to patch a bug in differentiation of
	polynomials.

2014-12-15  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.h, sollya-library-wrappers.c, sollya.h: Added a test
	function sollya_lib_obj_is_procedure.

2014-12-01  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, sollya.h: Added support for calls to
	Sollya procedures from the Sollya library. Untested.

2014-11-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* sollya-library-wrappers.c, sollya.h: Added library support for
	execute. Untested.

2014-11-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* general.c, general.h, sollya-library-wrappers.c, sollya.h: Added
	support for argc, argv in library mode. (untested)

2014-11-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* base-functions.c, base-functions.h, double.c, double.h,
	general.c, general.h, infnorm.c, infnorm.h, mpfi-compat.c,
	mpfi-compat.h: Unified base mpfi and mpfr functions.

2014-11-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* polynomials.c: Addressing -Wextra issues.

2014-11-26  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, hooks.c: Addressing some -Wall warnings.

2014-11-03  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c: Adapted worst-case precision for hook evaluation in
	first-guess faithful rounded evaluation to a much lower level.

2014-10-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, infnorm.c, tests-tool/check030.sollya.reference: 
	Struggling agin with hook evaluation precisions.

2014-10-31  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, infnorm.c, mpfi-compat.c, mpfi-compat.h: Still trying to
	optimize hook evaluation.

2014-10-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, hooks.h, infnorm.c, tests-tool/check030.sollya.reference: 
	Some improvements to hook evaluation.

2014-10-30  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: Small improvements to hook handling.

2014-10-29  Sylvain Chevillard <sylvain.chevillard@ens-lyon.org>

	* .gitignore: Updated .gitignore

2014-10-29  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, tests-lib/tfpminimax.reference,
	tests-lib/tv_fpminimax.reference,
	tests-tool/check016.sollya.reference: Corrected a bug with
	Hornerization.

2014-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: Being extra safe for hook evaluation.

2014-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, hooks.c, hooks.h, infnorm.c,
	tests-tool/check030.sollya.reference: Playing with required
	tightness of evaluation results for hooked functions.

2014-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* infnorm.c, tests-tool/check030.sollya.reference: Precision setting
	for hook evaluation again.

2014-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, polynomials.c: Patched a bug in polynomial division.

2014-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, infnorm.c, infnorm.h: Improving precision handling for
	hooks.

2014-10-28  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, infnorm.c, tests-tool/check030.sollya.reference: Improved
	precision handling in hook evaluation.

2014-10-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c, tests-tool/check030.sollya.reference: Optimized function
	hook evaluation.

2014-10-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, sollya-library-wrappers.c,
	tests-lib/tsubstitute.reference: Better polynomial handling for
	particular cases.

2014-10-27  Christoph Lauter <christoph.lauter@lip6.fr>

	* hooks.c: Better behavior for composition of composed hooks.

2014-10-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* tests-lib/tfpminimax.reference, tests-lib/tv_fpminimax.reference,
	tests-tool/check016.sollya.reference, tests-tool/timecheck.sollya: 
	New reference values.

2014-10-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c: A small test.

2014-10-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* execute.c, expression.c, expression.h, hooks.c: Improved Hook
	handling.

2014-10-24  Christoph Lauter <christoph.lauter@lip6.fr>

	* expression.c, hooks.c, hooks.h, infnorm.c, infnorm.h,
	tests-tool/check030.sollya.reference: Hook recursion again. This
	should be fixed now --> finally!

